关于接口定义规约
-----------------------

## 通用规则

* 所有的服务接口都用POST方法请求
* 提交参数采用RAW的JSON文本，
* 返回数据也是JSON
* 字段命名采用驼峰的方式分隔多个单词

## 关于服务接口命名

> 模块名+/+方法名称

例如：`auth/getAccoutList` 账户权限模块的获取账号列表

## 关于请求参数

入参采用RAW的JSON文本

还是以获取账号列表的接口定义为例

范例：

```json
{
   "account":"test",//用户名
   "truename":"张三",//姓名
   "email":"hb@126.com",//邮件
   "phone":"1850021224",//电话
   "identity":"32054778955412"//身份
}
```

## 关于返回

* 要有返回码
* 返回数据是json

范例：

```json
{
    "code":200,
    "data":{
        "list":[
         {
            "username":"xxx",
            "truename":"xxx",
            "email":"xxx@126.com",
            "phone":"18602554147",
            "identity_cn":"sdasd",
            "status":"0",
            "pid":123,
            "create_time":1423234344
         },...
        ],
        "offset":0,
        "limit":50,
        "total":1000
    },
    "message":""
}

```