品牌管理接口服务定义
---------------------



## 品牌列表查询

> 接口名： 'brand/getBrandList'

### 入参

-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|brandId|Number|43|品牌id|
|status|Number|0|状态|
|brandLevel|string|A|品牌级别|
|startTime|String|2016-01-12|开始时间|
|endTime|String|2016-01-13|结束时间|
|page|Number|2|第几页|
|size|Number|50|每页条数|
---------------------

### 返回

``` json
{
    "code":200,
    "message":"请求成功",
    "data": {
        "list": [
            {
                "id": "",
                "brandIco": "",  //logo图片地址
                "brandNameCn": "",  //品牌中文名字
                "brandNameEn": "",   //品牌英文名字
                "brandLevel": "",       //级别
                "brandTonality": "",         //调性分
                "createTime": "",   //创建时间
                "status": 1   //1为开启状态，0为关闭状态
            }
        ],
        "offset": 0,
        "limit": 50,
        "total": 1000
    }
}

```


## 添加品牌接口

> 接口名： 'brand/addBrand'

### 入参

-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|brandName|string|nike|品牌名称|
|brandNameEn|string|aaaa|英文名称|
|brandDomain|string|yoho|二级域名|
|brandIco|string|http://static.yohobuy.com/newheader/img/logo_e.png|品牌logo|
|brandLevel|string|KA|品牌级别|
|promotionLevel|int|2|品牌推广星级|
|mainCategory|int|2|主营类目|
|brandHeadstream|int|2|发源地|
|brandTypes|int|2|品牌类型|
|saleType|int|2|合作模式|
|brandUrl|string|www.baidu.com|品牌网址|
|brandIntro|string|xxxxxx|品牌介绍|
|brandOutline|string|xxxxxx|品牌简述|
|brandFounder|string|jay|品牌主理人|
|brandStyle|string|街头|品牌风格|
|brandNature|int|4|品牌性质|
|brandTonality|string|xxxx|调性指数|
---------------------

### 返回

``` json
{
    "code":200,
    "message":"请求成功"
}

```


## 编辑/开启/关闭品牌接口

> 接口名： 'brand/editBrand'

### 入参

-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|brandId|Number|43|品牌id|
|status|String|0|关闭传0，开启传1|
|brandName|string|nike|品牌名称|
|brandNameEn|string|aaaa|英文名称|
|brandDomain|string|yoho|二级域名|
|brandIco|string|http://static.yohobuy.com/newheader/img/logo_e.png|品牌logo|
|brandLevel|string|KA|品牌级别|
|promotionLevel|int|2|品牌推广星级|
|mainCategory|int|2|主营类目|
|brandHeadstream|int|2|发源地|
|brandTypes|int|2|品牌类型|
|saleType|int|2|合作模式|
|brandUrl|string|www.baidu.com|品牌网址|
|brandIntro|string|xxxxxx|品牌介绍|
|brandOutline|string|xxxxxx|品牌简述|
|brandFounder|string|jay|品牌主理人|
|brandStyle|string|街头|品牌风格|
|brandNature|int|4|品牌性质|
|brandTonality|string|xxxx|调性指数|
---------------------

### 返回

``` json
{
    "code":200,
    "message":"请求成功"
}

```

## 编辑时品牌详情接口

> 接口名： 'brand/getBrandDetail'

### 入参

-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|brandId|Number|43|品牌id|
---------------------

### 返回

``` json
{
    "code":200,
    "message":"请求成功",
    "data": {
        "brandName": "",
        "brandNameEn": "",
        "brandDomain": "",
        "brandIco": "",
        "brandLevel": "",
        "promotionLevel": "",
        "mainCategory": "",
        "brandHeadstream": "",
        "brandTypes": "",
        "saleType": "",
        "brandUrl": "",
        "brandIntro": "",
        "brandOutline": "",
        "brandFounder": "",
        "brandStyle": "",
        "brandNature": "",
        "brandTonality": ""
    }
}

```


## 品牌获取选择选项的枚举接口

> 接口名： 'brand/getSelectItems'

### 返回

``` json
{
    "code":200,
    "message":"请求成功",
    "data": {
        "brandLevelItems": [{ //品牌级别
            "id": "",
            "name": ""
        }],
        "mainCategoryItems": [{  //主营类目
            "id": "",
            "name": ""
        }],
        "brandHeadstreamItems": [{   //发源地
            "id": "",
            "name": ""
        }],
        "brandTypesItems": [{    //品牌类型
            "id": "",
            "name": ""
        }],
        "brandStyleItems": [{    //品牌风格
            "id": "",
            "name": ""
        }],
        "brandNatureItems": [{   //品牌性质
            "id": "",
            "name": ""
        }],
    }
}

```


## 获取品牌列表接口

> 接口名： 'brand/getBrandName'

### 入参

-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|idName|Number|43|品牌id或者名称|
---------------------

### 返回

``` json
{
    "code":200,
    "message":"请求成功",
    "data": [
        {
            "id": "",
            "name":""
        }
    ]

}

```