# 品牌合作模式管理
---------------------

## 新增修改品牌合作模式管理

> 接口名：`/brandCooperation/saveBrandCooperation`

### 入参

-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|id|int|12|品牌合作模式主键id：修改时非空 |
|cooperateTypeId|int|2| 合作模式id 0未设置 1 代销 2 经销 3 自主|
|brandId|int|13|品牌id，新增时需要|
|addUid|int|22|添加人id|
|addUserName|string|李建|添加人名称|
|updateUid|int|2323|修改人id|
|updateUserName|String|李建|修改人名称|
---------------------

### 返回

``` json
新增请求样例：
{
 "brandId": 19,
"cooperateTypeId":1,
"addUid":234,
"addUserName":"李建"
}
修改请求样例：
{
 "id": 19,
"cooperateTypeId":2,
"updateUid":234,
"updateUserName":"李建"
}
正常返回：
{
  "code": 200,
  "data": [],
  "md5": "d751713988987e9331980363e24189ce",
  "message": "保存品牌合作模式信息成功"
}
异常返回：
{
    "code": 403,
    "data": [],
    "md5": "d751713988987e9331980363e24189ce",
    "message": "请求参数异常"
}

```
## 查询品牌合作模式管理
> 接口名：`/brandCooperation/queryBrandCooperationList`

-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|page|int|2|第几页|
|size|int|50|每页条数|
|cooperateTypeId|int|2| 合作模式id 0未设置 1 代销 2 经销 3 自主|
|brandName|string|nike|品牌名称 模糊查询|
|setFlag|int|0|是否设置 0未设置 1已设置|
---------------------

### 返回

``` json
请求样例：
{
  "page": 1,
  "size": 10,
"setFlag":1
}
修改请求样例：

正常返回：
{
    "code": 200,
    "data": {
        "list": [
            {
                "addUid": 234,
                "addUserName": "李建",
                "brandId": 15,
                "brandName": "BORDERLINE",
                "cooperateTypeId": 2,
                "cooperateTypeName": "经销",
                "createTime": 1455763569,
                "delFlag": 0,
                "id": 17,
                "updateTime": 1455763569
            },
            {
                "addUid": 234,
                "addUserName": "李建",
                "brandId": 15,
                "brandName": "BORDERLINE",
                "cooperateTypeId": 2,
                "cooperateTypeName": "经销",
                "createTime": 1455763608,
                "delFlag": 0,
                "id": 18,
                "updateTime": 1455763608
            },
            {
                "addUid": 234,
                "addUserName": "李建",
                "brandId": 15,
                "brandName": "BORDERLINE",
                "cooperateTypeId": 2,
                "cooperateTypeName": "经销",
                "createTime": 1455764083,
                "delFlag": 0,
                "id": 19,
                "updateTime": 1455764083
            },
            {
                "addUid": 234,
                "addUserName": "李建",
                "brandId": 15,
                "brandName": "BORDERLINE",
                "cooperateTypeId": 2,
                "cooperateTypeName": "经销",
                "createTime": 1455764084,
                "delFlag": 0,
                "id": 20,
                "updateTime": 1455764084
            }
        ],
        "page": 1,
        "size": 10,
        "total": 11,
        "totalPage": 2
    },
    "md5": "007961848bbafa4389f0b72e74efe362",
    "message": "品牌合作模式信息列表"
}
异常返回：
{
    "code": 405,
    "data": [],
    "md5": "d751713988987e9331980363e24189ce",
    "message": "查询品牌合作模式信息失败"
}

```
## 批量导入品牌合作模式管理

> 接口名：`/batch/import`

### 入参

-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|file|文件|文件|xls文件 |
|type|int|2| 上传业务类型 必传：brandCooperation|
---------------------

### 返回

``` json
请求样例：
{
 "type": brandCooperation
}

正常返回：
{
  "code": 200,
  "data": {
    "failFileReason": [
      "第3行:[23.0]:品牌名称不存在"
    ]
  },
  "message": "导入成功"
}
异常返回：
{
  "code": 500,
  "message": "第2行数据个数不匹配"
}

```