# 品牌款型系列管理接口服务定义
---------------------

# 添加品牌款型系列接口

> 接口名： `/brandSeries/add`

### 入参

-------------------------
|属性名称|类型|例子|说明|是否必填|
|--------|----|----|----|--------|
|seriesName | string | 羽绒服系列 |名称|是|
|shopsId | int | 1 | 店铺id | 是|
|brandId | int | 1 | 店铺id下的某个品牌id | 是|
|type | int | 1 | 1:"品牌款型";2:"品牌系列" | 是|
|orderBy | int | 1 | 排序值 | 否|
---------------------

### 返回

``` json
{
  "code":200,--若失败为500
  "message":"success"
}

```


# 获取品牌款型系列列表(有分页)

> 接口名： `/brandSeries/queryAll`

### 入参

-------------------------
|属性名称|类型|例子|说明|是否必填|
|-------|----|----|----|-------|
|seriesName | string | 羽绒服系列 |名称|是|
|shopsId | int | 1 | 店铺id | 是|
|brandId | int | 1 | 店铺id下的某个品牌id | 是|
|type | int | 1 | 1:"品牌款型";2:"品牌系列" | 是|
|page | int | 1 | 页码数，默认1 | 否|
|size | int | 10 | 记录数，默认10条 | 否|
--------------------------------

### 返回

``` json
{
  "code": 200,--若失败为500
  "data": {
    "list": [
      {
        "brandId": 5,
        "id": 48,
        "seriesName": "test-cc-u",
        "shopsId": 5,
        "status": 1,
        "type": 5
      }
    ],
    "page": 0,-第几页
    "size": 0,-单页记录数
    "total": 437,--总数
    "totalPage": 1--总页数
  },
  "md5": "81531967e3291781f608555ca63ccd28",
  "message": "success"
}

```


# 更新品牌款型系列接口

> 接口名： `/brandSeries/update`

### 入参

-------------------------
|属性名称|类型|例子|说明|是否必填|
|--------|----|----|----|--------|
|id|int|15|ID|是|
|seriesName | string | 羽绒服系列 |名称|否|
|shopsId | int | 1 | 店铺id | 否|
|brandId | int | 1 | 店铺id下的某个品牌id | 否|
|type | int | 1 | 1:"品牌款型";2:"品牌系列" | 否|
|orderBy | int | 1 | 排序值 | 否|
---------------------

### 返回

``` json
{
  "code": 200,--若失败为500
  "data": [],
  "md5": "d751713988987e9331980363e24189ce",
  "message": "success"
}

```



# 获取单个品牌款型系列接口

> 接口名： `/brandSeries/queryById/{id}`

{id} 具体的品牌款型系列id值,数据类型：int
例：/brandSeries/queryById/14

http method : get & post all ok;

### 入参

-------------------------
|属性名称|类型|例子|说明|是否必填|
|--------|----|----|----|--------|

---------------------

### 返回

``` json
{
  "code": 200,--若失败为500
  "data":{
        "brandId": 286,
    "id": 13,
    "orderBy": 4,
    "parentId": 0,
    "seriesName": "Mikio Sakabe",
    "shopsId": 1,
    "status": 1
      },
  "md5": "dfc645ecb0c66c8d4771dd2a749047e8",
  "message": "success"
}

```

# 打开品牌款型系列接口

> 接口名： `/brandSeries/open/{id}`

{id} 具体的品牌款型系列id值,数据类型：int
例：/brandSeries/open/14

### 入参

-------------------------
|属性名称|类型|例子|说明|是否必填|
|--------|----|----|----|--------|

---------------------

### 返回

``` json
{
  "code": 200,--若失败为500
  "data": [],
  "md5": "dfc645ecb0c66c8d4771dd2a749047e8",
  "message": "success"
}

```

# 关闭品牌款型系列接口（restfull 风格）

> 接口名： `/brandSeries/close/{id}`

{id} 具体的品牌款型系列id值,数据类型：int
例：/brandSeries/close/14

### 入参

-------------------------
|属性名称|类型|例子|说明|是否必填|
|--------|----|----|----|--------|

---------------------

### 返回

``` json
{
  "code": 200,--若失败为500
  "data": [ ],
  "md5": "dfc645ecb0c66c8d4771dd2a749047e8",
  "message": "success"
}

```
