# 活动模板接口服务定义
----------------------

# 查询模板列表接口

> 接口名：`activityTemplate/selectTemplateList`

### 入参

----------------------------------
|属性名称|类型|例子|说明|是否必填|
|--------|----|----|----|--------|
|status|integer|1|状态：0 不启用 ，1 启用 |否|
----------------------------------

### 返回

``` json
{
    "code":200,
    "message":"请求成功",
    "data": [
        {
          "createTime": 1453966206,
          "id": 1,
          "image": "", // 图片链接
          "shareId": 0,
          "status": 1, // 0 不启用 ，1 启用
          "title": "",
          "url": ""
        }
    ]
}
```

# 添加模板接口

> 接口名：`activityTemplate/addTemplate`

### 入参

----------------------------------
|属性名称|类型|例子|说明|是否必填|
|--------|----|----|----|--------|
|title|string|新人专享活动模板|模板标题|是|
|image|string|http://yoho.cn/18282.jpg|图片地址|否|
|url|string|http://yoho.cn/18282.template|模板地址|否|
|shareId|integer|1|共享ID|否|
----------------------------------

### 返回

``` json
{
  "code":200,
  "message":"添加成功！"
}
```

# 更新模板接口

> 接口名：`activityTemplate/updateTeplate`

### 入参

----------------------------------
|属性名称|类型|例子|说明|是否必填|
|--------|----|----|----|--------|
|id|integer|1|主键|是|
|title|string|新人专享活动模板|模板标题|是|
|image|string|http://yoho.cn/18282.jpg|图片地址|否|
|url|string|http://yoho.cn/18282.template|模板地址|否|
|shareId|integer|1|共享ID|否|
----------------------------------

### 返回

``` json
{
  "code":200,
  "message":"添加成功！"
}
```

# 开启模板接口

> 接口名：`activityTemplate/publishTemplate`

### 入参

----------------------------------
|属性名称|类型|例子|说明|是否必填|
|--------|----|----|----|--------|
|id|integer|1|主键|是|
----------------------------------

### 返回

``` json
{
  "code":200,
  "message":"操作成功！"
}
```

# 关闭模板接口

> 接口名：`activityTemplate/closeTemplate`

### 入参

----------------------------------
|属性名称|类型|例子|说明|是否必填|
|--------|----|----|----|--------|
|id|integer|1|主键|是|
----------------------------------

### 返回

``` json
{
  "code":200,
  "message":"操作成功！"
}
```

# 根据条件查询活动商品列表接口

> 接口名：`activityTemplate/getProductListByCondition`

### 入参

----------------------------------
|属性名称|类型|例子|说明|是否必填|
|--------|----|----|----|--------|
|templateId|integer|1|模板ID|是|
|productSkn|integer|1|商品SKN|否|
----------------------------------

### 返回

``` json
{
  "code": 200,
  "data": {
    "list": [
      {
        "id": 1,
        "isRecommend": true,
        "orderBy": 110,
        "productSkn": 51125277,
        "status": 1,
        "templateId": 2
      }
    ],
    "page": 1,
    "size": 10,
    "total": 1,
    "totalPage": 1
  },
  "message": "Temp SKN list"
}
```

# 插入活动商品信息接口

> 接口名：`activityTemplate/insertProduct`

### 入参

----------------------------------
|属性名称|类型|例子|说明|是否必填|
|--------|----|----|----|--------|
|templateId|integer|1|模板ID|是|
|productSkn|integer|1|商品SKN|是|
----------------------------------

### 返回

``` json
{
  "code": 200,
  "message": "添加成功",
}
```


# 更新商品信息接口

> 接口名：`activityTemplate/updateProduct`

### 入参

----------------------------------
|属性名称|类型|例子|说明|是否必填|
|--------|----|----|----|--------|
|id|integer|1|商品ID|是|
|orderBy|integer|1|排序号|否|
|isRecommend|integer|1|是否推荐|否|
|status|integer|1|是否启用|否|
----------------------------------

### 返回

``` json
{
  "code": 200,
  "message": "操作成功",
}
```

# 删除商品信息接口

> 接口名：`activityTemplate/delOneProduct`

### 入参

----------------------------------
|属性名称|类型|例子|说明|是否必填|
|--------|----|----|----|--------|
|id|integer|1|主键|是|
----------------------------------

### 返回

如果删除失败，可能是没有删除权限。

``` json
{
  "code":200,
  "message":"操作成功！"
}
```

