# 帮助内容接口服务定义
---------------------

## 添加帮助内容

> 接口名：`/HelpContentRest/addHelpContent`

### 入参
``` json
{
 "title":"补开发票",
 "categoryId":13,
 "content":"如订单未选择发票需要补寄，请您联系有货客服，我们可以为您补开三个自然月内订单的发票，但是需运费到付。",
 "platform":"iphone,android"
}
```
-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|title|String|补开发票|帮助标题|
|categoryId|int|13|分类ID|
|content|String|如订单未选择发票需要补寄，请您联系有货客服，我们可以为您补开三个自然月内订单的发票，但是需运费到付。|帮助内容|
|platform|String|iphone,android|显示平台|
---------------------

### 返回

``` json
{
  "code": 200,
  "message": "Add Help Content Success"
}
{
  "code":400
  "message":"帮助标题不能为空"
}
{
  "code":400
  "message":"分类ID无效"
}
{
  "code":400
  "message":"内容无效"
}
{
  "code":400
  "message":"显示平台无效"
}
{
  "code":500
  "message":"Add Help Content Fail"
}
```


## 修改帮助内容

> 接口名：`/HelpContentRest/updateHelpContent`

### 入参
``` json
{
 "id":44,
 "title":"补开发票",
 "categoryId":13,
 "platform":"iphone,android,h5",
 "content":"如订单未选择发票需要补寄，请您联系有货客服，我们可以为您补开三个自然月内订单的发票，但是需运费到付。"
}
```
-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|id|int|44|帮助内容记录ID|
|title|String|补开发票|帮助标题|
|categoryId|int|13|分类ID|
|content|String|如订单未选择发票需要补寄，请您联系有货客服，我们可以为您补开三个自然月内订单的发票，但是需运费到付。|帮助内容|
|platform|String|iphone,android|显示平台|
---------------------

### 返回

``` json
{
  "code": 200,
  "message": "Update Help Content Success"
}
{
  "code":400
  "message":"Id is null"
}
{
  "code":400
  "message":"帮助标题不能为空"
}
{
  "code":400
  "message":"分类ID无效"
}
{
  "code":400
  "message":"内容无效"
}
{
  "code":400
  "message":"显示平台无效"
}
{
  "code":500
  "message":"Upodate Help Content Fail"
}
```

## 根据ID获得帮助内容

> 接口名：`/HelpContentRest/getHelpContentById`

### 入参
``` json
{
 "id":44
}
```
-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|id|int|44|帮助内容记录ID|
---------------------

### 返回

``` json
{
  "code": 200,
  "data": {
    "categoryId": 13,
    "content": "如订单未选择发票需要补寄，请您联系有货客服，我们可以为您补开三个自然月内订单的发票，但是需运费到付。",
    "createTime": 1455438073,
    "id": 44,
    "platform": [
      "iphone",
      "android",
      "h5"
    ],
    "title": "补开发票",
    "updateTime": 1455438842
  },
  "message": "Help Content"
}
{
  "code":400
  "message":"Id is null"
}
```
## 获取所有帮助内容

> 接口名：`/HelpContentRest/getAllHelpContent`

### 入参
``` json
{
    "categoryId":13,
    "platform":"iphone,android"
}
or
{
    "categoryId":13,
}
or
{
    "platform":"iphone,android"
}
or
{ }
```
注意：如果不传入参数，必须传入`{}`
-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|categoryId|int|13|分类ID(可选)|
|platform|String|iphone,android|显示平台(可选)|
---------------------

### 返回

``` json
{
  "code": 200,
  "data": [
    {
      "categoryId": 13,
      "content": "如订单未选择发票需要补寄，请您联系有货客服，我们可以为您补开三个自然月内订单的发票，但是需运费到付。",
      "createTime": 1455438073,
      "id": 44,
      "platform": "iphone,android,h5",
      "status": 1,
      "title": "补开发票",
      "updateTime": 1455438842
    },
    {
      "categoryId": 13,
      "content": "4",
      "createTime": 1437566047,
      "id": 17,
      "platform": "iphone,android",
      "status": 1,
      "title": "3",
      "updateTime": 0
    },
    {
      "categoryId": 13,
      "content": "3",
      "createTime": 1437566035,
      "id": 16,
      "platform": "iphone,android",
      "status": 1,
      "title": "2",
      "updateTime": 0
    },
    {
      "categoryId": 13,
      "content": "订单生成后无法修改收货人信息，请您联系有货客服处理。",
      "createTime": 1437562842,
      "id": 13,
      "platform": "iphone,android",
      "status": 1,
      "title": "修改订单地址/电话",
      "updateTime": 0
    },
    {
      "categoryId": 13,
      "content": "因为网络问题，信息更新有所延迟，导致无法显示，请您保持网络顺畅情况下，重新登录进入再查看。",
      "createTime": 1437562792,
      "id": 11,
      "platform": "iphone,android",
      "status": 1,
      "title": "下单后看不到订单",
      "updateTime": 0
    },
    {
      "categoryId": 13,
      "content": "目前暂不支持订单修改功能，请您联系有货客服为您处理。",
      "createTime": 1437562767,
      "id": 10,
      "platform": "iphone,android",
      "status": 1,
      "title": "订单内容的修改",
      "updateTime": 0
    },
    {
      "categoryId": 13,
      "content": "在线支付订单未付款2小时内会自动取消，付款成功后需联系有货客服取消订单，货到付款订单未发货前可以进入“我的订单”自行取消订单。",
      "createTime": 1437545220,
      "id": 1,
      "platform": "iphone,android",
      "status": 1,
      "title": "取消订单",
      "updateTime": 1437548510
    }
  ],
  "message": "All Help Content Platform List"
}
```
## 删除帮助内容

> 接口名：`/HelpContentRest/deleteHelpContent`

### 入参
``` json
{
 "id":44
}
```
-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|id|int|44|帮助内容记录ID|
---------------------

### 返回

``` json
{
  "code": 200,
  "message": "删除成功"
}
or
{
  "code": 400,
  "message": "Id is null"
}
or
{
  "code": 500,
  "message": "删除失败"
}
```

## 分页显示帮助内容

> 接口名：`/HelpContentRest/getHelpContentList`

### 入参
``` json
{
 "page":2,
 "size":12  
}
```
-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|page|int|2|第几页(可选) 默认为1|
|size|int|12|每页条数(可选)默认为10|
---------------------

### 返回

``` json
{
  "code": 200,
  "data": {
    "list": [
      {
        "categoryId": 0,
        "content": "目前暂不支持订单修改功能，请您联系有货客服为您处理。",
        "createTime": 0,
        "id": 0,
        "platform": "iphone,android",
        "title": "订单内容的修改",
        "updateTime": 0
      },
      {
        "categoryId": 0,
        "content": "优惠券是有货线上品牌商城针对不同品牌或商品向消费者发送的虚拟券，优惠券可直接用于指定品牌或商品消费，不可转让他人，不可兑换为现金。",
        "createTime": 0,
        "id": 0,
        "platform": "iphone,android",
        "title": "什么是优惠券？",
        "updateTime": 0
      },
      {
        "categoryId": 0,
        "content": "Yoho币是有货商城全场针对不同商品向已激活用户返还的虚拟购物币。Yoho!币可直接用于有货线上购物使用，不可转让他人，不可兑换为现金。使用YOHO币支付的金额将不计入消费金额用以计算返还金额。",
        "createTime": 0,
        "id": 0,
        "platform": "iphone,android",
        "title": "Yoho币是什么，有什么用？",
        "updateTime": 0
      },
      {
        "categoryId": 0,
        "content": "银卡会员需年度累计消费满600元，金卡会员需年度累计消费满2000元，白金会员需年度累计消费满5000元。年度指连续的365天内（数字年），而非2011，2012这样的自然年。",
        "createTime": 0,
        "id": 0,
        "platform": "iphone,android",
        "title": "消费多少可以成为银卡会员、金卡会员、白金会员？",
        "updateTime": 0
      },
      {
        "categoryId": 0,
        "content": "您可进入“我的订单”，点击”确认收货”后，申请退换货，按页面提示填写相关信息，提交申请。我们会在24小时内以短信或电话的方式告知您审核结果，审核通过后，请您将商品连同发货单一并寄回，请您寄回时不要选择平邮或到付。",
        "createTime": 0,
        "id": 0,
        "platform": "iphone,android",
        "title": "如何办理退换货",
        "updateTime": 0
      },
      {
        "categoryId": 0,
        "content": "有货与配送公司签订先验货后签收协议，请在配送人员还在场的情况下，当面验收您的商品，货到付款订单可以开箱验货但是未签收情况下不能试穿。",
        "createTime": 0,
        "id": 0,
        "platform": "iphone,android",
        "title": "可以开箱验货吗",
        "updateTime": 0
      },
      {
        "categoryId": 0,
        "content": "浦发，深发，民生等银行只要客户设了密码，都是不可以进行交易的；工，农，建等全国性银行中，只有工行肯定是不能交易，别的银行是可以的。如在支付中有任何疑问，请联系有货客服为您处理",
        "createTime": 0,
        "id": 0,
        "platform": "iphone,android",
        "title": "为什么信用卡无法支付",
        "updateTime": 0
      },
      {
        "categoryId": 0,
        "content": "如订单未选择发票需要补寄，请您联系有货客服，我们可以为您补开三个自然月内订单的发票，但是需运费到付。",
        "createTime": 0,
        "id": 0,
        "platform": "iphone,android",
        "title": "补开发票",
        "updateTime": 0
      },
      {
        "categoryId": 0,
        "content": "您可进入“我的订单”中查询订单状态，有货会在订单审核通过后24小时内为您发出包裹。（温馨提示：预售商品发货时间以商品页面标注为准）。",
        "createTime": 0,
        "id": 0,
        "platform": "iphone,android",
        "title": "发货时间",
        "updateTime": 0
      },
      {
        "categoryId": 0,
        "content": "在线支付订单未付款2小时内会自动取消，付款成功后需联系有货客服取消订单，货到付款订单未发货前可以进入“我的订单”自行取消订单。",
        "createTime": 0,
        "id": 0,
        "platform": "iphone,android",
        "title": "取消订单",
        "updateTime": 0
      }
    ],
    "page": 2,
    "size": 12,
    "total": 0,
    "totalPage": 0
  },
  "message": "Help Content List"
}
```

## 获取帮助内容总记录数

> 接口名：`/HelpContentRest/getHelpContentCount`

### 入参
无
---------------------

### 返回

``` json
{
  "code": 200,
  "data": 22,
  "message": "成功"
}
```

## 根据分类ID查帮助内容

> 接口名：`/HelpContentRest/getHelpContentByCategoryId`

### 入参
``` json
{
 "categoryId": 13
}
```
-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|categoryId|int|13|分类ID|
---------------------

### 返回

``` json
{
  "code": 200,
  "data": [
    {
      "categoryId": 13,
      "content": "在线支付订单未付款2小时内会自动取消，付款成功后需联系有货客服取消订单，货到付款订单未发货前可以进入“我的订单”自行取消订单。",
      "createTime": 1437545220,
      "id": 1,
      "platform": "iphone,android",
      "status": 1,
      "title": "取消订单",
      "updateTime": 1437548510
    },
    {
      "categoryId": 13,
      "content": "目前暂不支持订单修改功能，请您联系有货客服为您处理。",
      "createTime": 1437562767,
      "id": 10,
      "platform": "iphone,android",
      "status": 1,
      "title": "订单内容的修改",
      "updateTime": 0
    },
    {
      "categoryId": 13,
      "content": "因为网络问题，信息更新有所延迟，导致无法显示，请您保持网络顺畅情况下，重新登录进入再查看。",
      "createTime": 1437562792,
      "id": 11,
      "platform": "iphone,android",
      "status": 1,
      "title": "下单后看不到订单",
      "updateTime": 0
    },
    {
      "categoryId": 13,
      "content": "订单生成后无法修改收货人信息，请您联系有货客服处理。",
      "createTime": 1437562842,
      "id": 13,
      "platform": "iphone,android",
      "status": 1,
      "title": "修改订单地址/电话",
      "updateTime": 0
    },
    {
      "categoryId": 13,
      "content": "3",
      "createTime": 1437566035,
      "id": 16,
      "platform": "iphone,android",
      "status": 1,
      "title": "2",
      "updateTime": 0
    },
    {
      "categoryId": 13,
      "content": "4",
      "createTime": 1437566047,
      "id": 17,
      "platform": "iphone,android",
      "status": 1,
      "title": "3",
      "updateTime": 0
    }
  ],
  "message": "Help Content List by CategoryId"
}
or
{
  "code":400
  "message":"分类ID无效"
}
```

## 根据平台查帮助内容

> 接口名：`/HelpContentRest/getHelpContentByPlatform`

### 入参
``` json
{
 "platform": "iphone,android"
}
```
-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|platform|String|iphone,android|显示平台|
---------------------

### 返回

``` json
{
  "code": 200,
  "data": [
    {
      "categoryId": 13,
      "content": "在线支付订单未付款2小时内会自动取消，付款成功后需联系有货客服取消订单，货到付款订单未发货前可以进入“我的订单”自行取消订单。",
      "createTime": 1437545220,
      "id": 1,
      "platform": "iphone,android",
      "status": 1,
      "title": "取消订单",
      "updateTime": 1437548510
    },
    {
      "categoryId": 14,
      "content": "您可进入“我的订单”中查询订单状态，有货会在订单审核通过后24小时内为您发出包裹。（温馨提示：预售商品发货时间以商品页面标注为准）。",
      "createTime": 1437546597,
      "id": 2,
      "platform": "iphone,android",
      "status": 1,
      "title": "发货时间",
      "updateTime": 1437548685
    },
    {
      "categoryId": 15,
      "content": "如订单未选择发票需要补寄，请您联系有货客服，我们可以为您补开三个自然月内订单的发票，但是需运费到付。",
      "createTime": 1437546640,
      "id": 3,
      "platform": "iphone,android",
      "status": 1,
      "title": "补开发票",
      "updateTime": 1437548679
    },
    {
      "categoryId": 17,
      "content": "浦发，深发，民生等银行只要客户设了密码，都是不可以进行交易的；工，农，建等全国性银行中，只有工行肯定是不能交易，别的银行是可以的。如在支付中有任何疑问，请联系有货客服为您处理",
      "createTime": 1437546674,
      "id": 4,
      "platform": "iphone,android",
      "status": 1,
      "title": "为什么信用卡无法支付",
      "updateTime": 1437548673
    },
    {
      "categoryId": 18,
      "content": "有货与配送公司签订先验货后签收协议，请在配送人员还在场的情况下，当面验收您的商品，货到付款订单可以开箱验货但是未签收情况下不能试穿。",
      "createTime": 1437546710,
      "id": 5,
      "platform": "iphone,android",
      "status": 1,
      "title": "可以开箱验货吗",
      "updateTime": 1437548665
    },
    {
      "categoryId": 19,
      "content": "您可进入“我的订单”，点击”确认收货”后，申请退换货，按页面提示填写相关信息，提交申请。我们会在24小时内以短信或电话的方式告知您审核结果，审核通过后，请您将商品连同发货单一并寄回，请您寄回时不要选择平邮或到付。",
      "createTime": 1437546751,
      "id": 6,
      "platform": "iphone,android",
      "status": 1,
      "title": "如何办理退换货",
      "updateTime": 1437548659
    },
    {
      "categoryId": 21,
      "content": "银卡会员需年度累计消费满600元，金卡会员需年度累计消费满2000元，白金会员需年度累计消费满5000元。年度指连续的365天内（数字年），而非2011，2012这样的自然年。",
      "createTime": 1437546777,
      "id": 7,
      "platform": "iphone,android",
      "status": 1,
      "title": "消费多少可以成为银卡会员、金卡会员、白金会员？",
      "updateTime": 1437548651
    },
    {
      "categoryId": 22,
      "content": "Yoho币是有货商城全场针对不同商品向已激活用户返还的虚拟购物币。Yoho!币可直接用于有货线上购物使用，不可转让他人，不可兑换为现金。使用YOHO币支付的金额将不计入消费金额用以计算返还金额。",
      "createTime": 1437546798,
      "id": 8,
      "platform": "iphone,android",
      "status": 1,
      "title": "Yoho币是什么，有什么用？",
      "updateTime": 1437548645
    },
    {
      "categoryId": 23,
      "content": "优惠券是有货线上品牌商城针对不同品牌或商品向消费者发送的虚拟券，优惠券可直接用于指定品牌或商品消费，不可转让他人，不可兑换为现金。",
      "createTime": 1437546819,
      "id": 9,
      "platform": "iphone,android",
      "status": 1,
      "title": "什么是优惠券？",
      "updateTime": 1437552970
    },
    {
      "categoryId": 13,
      "content": "目前暂不支持订单修改功能，请您联系有货客服为您处理。",
      "createTime": 1437562767,
      "id": 10,
      "platform": "iphone,android",
      "status": 1,
      "title": "订单内容的修改",
      "updateTime": 0
    },
    {
      "categoryId": 13,
      "content": "因为网络问题，信息更新有所延迟，导致无法显示，请您保持网络顺畅情况下，重新登录进入再查看。",
      "createTime": 1437562792,
      "id": 11,
      "platform": "iphone,android",
      "status": 1,
      "title": "下单后看不到订单",
      "updateTime": 0
    },
    {
      "categoryId": 14,
      "content": "货到付款订单提交后为待审核状态的正常的，我们会在您成功下单后24小时内审核您的订单。",
      "createTime": 1437562820,
      "id": 12,
      "platform": "iphone,android",
      "status": 1,
      "title": "订单还没有审核订单还没有审核订单还没有审核订单还没有审核订单还没有审核订单还没有审核订单还没有审核订单还没有审核订单还没有审核订单还没有审核订单还没有审核订单还没有审核订单还没有审核订单还没有审核订单还没有审核订单还没有审核订单还没有审核订单还没有审核订单还没有审核订单还没有审核订单还没有审核订单还没有审核订单还没有审核订单还没有审核订单还没有审核订单还没有审核订单还没有审核订单还没有审核订单还没有审核订单还没有审核订单还没有审核订单还没有审核",
      "updateTime": 1437815593
    },
    {
      "categoryId": 13,
      "content": "订单生成后无法修改收货人信息，请您联系有货客服处理。",
      "createTime": 1437562842,
      "id": 13,
      "platform": "iphone,android",
      "status": 1,
      "title": "修改订单地址/电话",
      "updateTime": 0
    },
    {
      "categoryId": 13,
      "content": "3",
      "createTime": 1437566035,
      "id": 16,
      "platform": "iphone,android",
      "status": 1,
      "title": "2",
      "updateTime": 0
    },
    {
      "categoryId": 13,
      "content": "4",
      "createTime": 1437566047,
      "id": 17,
      "platform": "iphone,android",
      "status": 1,
      "title": "3",
      "updateTime": 0
    },
    {
      "categoryId": 17,
      "content": "测试",
      "createTime": 1438219772,
      "id": 35,
      "platform": "iphone,android",
      "status": 1,
      "title": "这个是常见支付的问题",
      "updateTime": 0
    },
    {
      "categoryId": 22,
      "content": "测试",
      "createTime": 1438219938,
      "id": 36,
      "platform": "iphone,android",
      "status": 1,
      "title": "这是yoho币的问题",
      "updateTime": 0
    }
  ],
  "message": "Help Content List by CategoryId"
}
or
{
  "code":400
  "message":"显示平台无效"
}
```

## 帮助列表

> 接口名：`/HelpContentRest/getHelp`

### 入参
``` json
{
    "categoryId":13,
    "platform":"iphone,android"
}
or
{
    "categoryId":13,
}
```
-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|categoryId|int|13|分类ID|
|platform|String|iphone,android|显示平台(可选)默认h5|
---------------------

### 返回

``` json
{
    "categoryId":13,
    "platform":"iphone,android"
}
or
{
  "code":400
  "message":"帮助分类不能为空"
}
```

## 帮助内容

> 接口名：`/HelpContentRest/getHelpContent`

### 入参
``` json
{
 "id": 42
}
```
-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|id|int|42|帮助内容记录ID|
---------------------

### 返回

``` json
{
  "code": 200,
  "data": {
    "categoryId": 14,
    "content": "这个是物流问题",
    "createTime": 1449038392,
    "id": 42,
    "platform": [
      "h5"
    ],
    "title": "物流问题",
    "updateTime": 0
  },
  "message": "帮助内容"
}
or
{
  "code":400
  "message":"请选择要查看的帮助"
}
or
{
  "code":400
  "message":"内容不存在"
}
```


