# 热门标签接口服务定义
----------------------

# 查询热门标签接口

> 接口名：`hotRankTag/selectTagList`

### 入参

----------------------------------
|属性名称|类型|例子|说明|是否必填|
|--------|----|----|----|--------|
|platform|string|iphone|平台|否|
|channel|string|1|频道|否|
|status|integer|1|状态：0 不启用 ，1 启用 |否|
----------------------------------

### 返回

``` json
{
  "code": 200,
  "data": [
    {
      "categoryId": "134,135",
      "channel": "2",
      "createTime": 1442233441,
      "id": 17,
      "orderBy": 0,
      "platform": "iphone,ipad,android,androidpad,web",
      "status": 1,
      "tagName": "裙装",
      "updateTime": 1448000665
    }
  ],
  "message": "Tag List"
}
```

# 添加标签接口

> 接口名：`hotRankTag/addTag`

### 入参

----------------------------------
|属性名称|类型|例子|说明|是否必填|
|--------|----|----|----|--------|
|tagName|string|智能装备|标签名称|是|
|categoryId|string|33,34|分类ID，多个分类用逗号隔开|否|
|platform|string|iphone|平台|是|
|channel|string|1|频道|是|
|orderBy|integer|1|序号|否|
----------------------------------

### 返回

``` json
{
  "code":200,
  "message":"添加标签信息成功"
}
```

# 更新标签接口

> 接口名：`hotRankTag/updateTag`

### 入参

----------------------------------
|属性名称|类型|例子|说明|是否必填|
|--------|----|----|----|--------|
|id|integer|33|主键|是|
|tagName|string|智能装备|标签名称|是|
|categoryId|string|33,34|分类ID，多个分类用逗号隔开|否|
|platform|string|iphone|平台|是|
|channel|string|1|频道|是|
|orderBy|integer|1|序号|否|
----------------------------------

### 返回

``` json
{
  "code":200,
  "message":"修改标签信息成功"
}
```

# 发布标签接口

> 接口名：`hotRankTag/updateTag`

### 入参

----------------------------------
|属性名称|类型|例子|说明|是否必填|
|--------|----|----|----|--------|
|id|integer|33|主键|是|
----------------------------------

### 返回

``` json
{
  "code":200,
  "message":"操作成功"
}
```

# 关闭标签接口

> 接口名：`hotRankTag/updateTag`

### 入参

----------------------------------
|属性名称|类型|例子|说明|是否必填|
|--------|----|----|----|--------|
|id|integer|33|主键|是|
----------------------------------

### 返回

``` json
{
  "code":200,
  "message":"操作成功"
}
```
