## 资源位接口定义

### 查询资源

> GET `/resources/query`

#### 入参

-----------------------------------------------------------
|参数名     |必填 |类型       |示例值     |描述           |
|------     |---- |----       |------     |----           |
|name       |否   |string     |男首页     |资源名称       |
|sortId     |否   |int        |2          |分类编号       |
|platformId |否   |int        |1          |平台编号       |
|page       |否   |int        |1          |页数           |

#### 返回

``` json
{
    "code":200
    "data":{
        "number":1,
        "size":10,
        "totalPages":28,
        "totalElements":275,
        "content":[
            {
                "id":8,
                "name":"男首页",
                "sortId":2,
                "sortName":"男首",
                "platformId":1,
                "platformName":"yohoApp",
                "code":"201504091403001",
                "matchCode":"",
                "createTime":1430378310
            }
        ]
    }
}

```
-----------------------------
|参数名     |描述           |
|------     |----           |
|number     |页数           |
|size       |每页个数       |
|totalPages |总页数         |
|totalElements |总个数      |
|content    |内容           |
|id         |资源编号       |
|name       |资源名称       |
|sortId     |分类编号       |
|sortName   |分类名称       |
|platformId |平台编号       |
|platformName|平台名称     |
|code       |资源码         |
|matchCode  |配对码         |
|createTime |创建时间       |

### 查询所有的平台

> GET `/resources/platforms`

#### 返回

``` json
{
    "code":200
    "data":{
        "platformId":1,
        "platformName":"yohoApp",
        "platformFlag":"iphone",
        "createTime":1430300615,
        "status":1
    }
}

```
-----------------------------
|参数名     |描述           |
|------     |----           |
|platformId |平台编号       |
|platformName|平台名称      |
|platformFlag|平台标识      |
|createTime |创建时间       |
|status     |状态码         |


### 查询所有的资源分类

> GET `/resources/sorts`

#### 返回

``` json
{
    "code":200
    "data":{
        "sortId":2,
        "sortName":"男首",
        "platformId":1,
        "createTime":1430304722,
        "status":1
    }
}

```
-----------------------------
|参数名     |描述           |
|------     |----           |
|sortId     |分类编号       |
|sortName   |分类名称       |
|platformId |平台编号       |
|createTime |创建时间       |
|status     |状态码         |