# 限购码管理接口服务定义
---------------------

# 添加限购码接口

> 接口名： `/limitCode/addLimitCode`

### 入参

-------------------------
|属性名称|类型|例子|说明|是否必填|
|--------|----|----|----|--------|
|name|string|潮流尖货限购码|限购码名称|是|
|limitTimes|int|100|数量|是|
|reqDepartment|string|运营部|申请部门|否|
|limitDateFrom|string|2016-02-01 14:00:00|起始时间|是|
|limitDateTo|string|2016-02-20 14:00:00|失效时间|是|
|describe|string|耐克新款|限购码描述|否|
|userUseLimit|int|1|用户使用次数|否|
|userTypeLimit|int|1|用户类型|否
|limitSkn|string|50012345|限购商品skn|否
|creatorName|string|张三|创建者名称|否
|creatorId|int|12401|创建者ID|否
|createTime|string|2016-01-29 15:00:00|创建时间|否
|status|int|0|限购码状态0：待审核 1：审核通过 2：驳回 3：过期 4:作废|否
|reason|string|预算不够|驳回原因|否
|batchNo|string|201602021023|批次号|是
|auditTime|string|2016-01-30 15:00:00|审核时间|否
---------------------

### 返回

``` json
{
  "code": 200,
  "data": [],
  "md5": "d751713988987e9331980363e24189ce",
  "message": "addLimitCode success."
}

```

# 获取限购码列表

> 接口名： `/limitCode/getLimitCodeList`

### 入参

-------------------------
|属性名称|类型|例子|说明|是否必填|
|-------|----|----|----|-------|
--------------------------------

### 返回

``` json
{
  "code": 200,
  "data": {
    "list": [
      {
        "batchNo": "201602031002",
        "createTime": "2016-02-03 17:33:08",
        "describe": "",
        "id": 7,
        "limitDateFrom": "2016-01-01",
        "limitDateTo": "2016-01-31",
        "limitTimes": 10,
        "name": "第一批次限购码",
        "reqDepartment": "运营部",
        "status": 0,
        "userUseLimit": 1
      },
      {
        "auditTime": "2016-01-29 18:15:01",
        "batchNo": "201601291001",
        "createTime": "2016-02-03 15:12:51",
        "creatorId": 1111,
        "creatorName": "test",
        "describe": "第1批次限购码",
        "id": 6,
        "limitDateFrom": "2016-01-01",
        "limitDateTo": "2016-01-31",
        "limitSkn": "5123456",
        "limitTimes": 10,
        "name": "第1批次限购码",
        "reqDepartment": "运营部",
        "status": 1,
        "userTypeLimit": "1",
        "userUseLimit": 1
      },
      {
        "auditTime": "2016-01-29 17:56:02",
        "batchNo": "201601291002",
        "createTime": "2016-01-29 17:56:02",
        "creatorId": 1111,
        "creatorName": "test",
        "describe": "第6批次限购码",
        "id": 5,
        "limitDateFrom": "2016-01-01",
        "limitDateTo": "2016-01-31",
        "limitSkn": "5123456",
        "limitTimes": 10,
        "name": "第6批次限购码",
        "reqDepartment": "运营部",
        "status": 1,
        "userTypeLimit": "1",
        "userUseLimit": 1
      }
    ],
    "page": 1,
    "size": 20,
    "total": 3,
    "totalPage": 1
  },
  "md5": "6d6052f3afcec10ba4d4c8490cd8e5eb",
  "message": "getLimitCodeList success."
}

```

# 获取限购码详情

> 接口名： `/limitCode/getLimitCode`

### 入参

-------------------------
|属性名称|类型|例子|说明|是否必填|
|-------|----|----|----|-------|
|id|int|7|限购码ID|是|
--------------------------------

### 返回

``` json
{
  "code": 200,
  "data": {
     "batchNo": "201602031002",
     "createTime": "2016-02-03 17:33:08",
     "describe": "",
     "id": 7,
     "limitDateFrom": "2016-01-01",
     "limitDateTo": "2016-01-31",
     "limitTimes": 10,
     "name": "第一批次限购码",
     "reqDepartment": "运营部",
     "status": 0,
     "userUseLimit": 1
    }
  "md5": "6d6052f3afcec10ba4d4c8490cd8e5eb",
  "message": "getLimitCode success."
}

```


# 更新限购码接口

> 接口名： `/limitCode/updateLimitCode`

### 入参

-------------------------
|属性名称|类型|例子|说明|是否必填|
|--------|----|----|----|--------|
|id|int|6|限购码ID|是|
|name|string|潮流尖货限购码|限购码名称|是|
|limitTimes|int|100|数量|是|
|reqDepartment|string|运营部|申请部门|否|
|limitDateFrom|string|2016-02-01 14:00:00|起始时间|是|
|limitDateTo|string|2016-02-20 14:00:00|失效时间|是|
|describe|string|耐克新款|限购码描述|否|
|userUseLimit|int|1|用户使用次数|否|
|userTypeLimit|int|1|用户类型|否
|limitSkn|string|50012345|限购商品skn|否
|creatorName|string|张三|创建者名称|否
|creatorId|int|12401|创建者ID|否
|createTime|string|2016-01-29 15:00:00|创建时间|否
|status|int|0|限购码状态0：待审核 1：审核通过 2：驳回 3：过期 4:作废|否
|reason|string|预算不够|驳回原因|否
|batchNo|string|201602021023|批次号|是
|auditTime|string|2016-01-30 15:00:00|审核时间|否
---------------------

### 返回

``` json
{
  "code": 500,
  "data": [],
  "md5": "d751713988987e9331980363e24189ce",
  "message": "updateLimitCode success."
}

```

# 审核限购码接口

> 接口名： `/limitCode/auditLimitCode`

### 入参

-------------------------
|属性名称|类型|例子|说明|是否必填|
|--------|----|----|----|--------|
|id|int|6|限购码ID|是
|status|int|0|限购码状态0：待审核 1：审核通过 2：驳回 3：过期 4:作废|否
|reason|string|预算不够|驳回原因|否
|auditTime|string|2016-01-30 15:00:00|审核时间|否
---------------------

### 返回

``` json
{
  "code": 500,
  "data": [],
  "md5": "d751713988987e9331980363e24189ce",
  "message": "auditLimitCode success."
}

```

# 删除限购码接口

> 接口名： `/limitCode/deleteLimitCode`

### 入参

-------------------------
|属性名称|类型|例子|说明|是否必填|
|--------|----|----|----|--------|
|id|int|6|限购码ID|是
---------------------

### 返回

``` json
{
  "code": 200,
  "data": [],
  "md5": "d751713988987e9331980363e24189ce",
  "message": "deleteLimitCode success."
}

```

# 获取各种状态限购码数量接口

> 接口名： `/limitCode/getLimitCodeCountByStatus`

### 入参

-------------------------
|属性名称|类型|例子|说明|是否必填|
|--------|----|----|----|--------|
---------------------

### 返回

``` json
{
  "code": 200,
  "data": {
    "0": "1",
    "1": "1",
    "all": "2"
  },
  "md5": "f29559d3d32c56f9cd94c892128cbae8",
  "message": "getLimitCodeCountByStatus success."
}

```

