合同管理接口定义
---------------------

### 筛选数据及分页
``` json

{
    brandName: [{  //供应商名称
        value: '',   //value值  
        name: ''    //显示的文字  
    }],
    supplierName: [{    //品牌名称
        value: '',   //value值  
        name: ''    //显示的文字  
    }],
    pagination: 143  //总页数
}

```
### 合同创建 -> 列表数据
``` json

{
    data: [{  
        name: '',   //合同名称
        number: '',   //合同编号
        supplier: '',  //供应商名称
        brand: ['PUCCA', '111', '333'], //包含品牌（格式：数组）
        pattern: '代销入库',    //经营模式
        attr: '主合同',    //合同属性
        timeFrom: '2015-12-31',     //有效期开始
        timeTo: '2016-12-30',   //有效期结束
        recentOperation: '创建',  //最近操作
        status: 0   //状态(0:审核中, 2:审核驳回, 3:暂存)
    }, {  
        ...  
    }]
}

```
### 合同创建 -> 添加合同 -> 列表数据
``` json

{
    data: [{  
        name: '', //供应商
        pattern: '代销入库',    //经营模式
        operate: true   //操作(true: 可添加主合同, false: 可添加补充合同)
    }, {  
        ...  
    }]
}

```
### 合同管理 -> 列表数据
``` json

{
    data: [{  
        name: '',   //合同名称
        number: '16YH33',   //合同编号
        supplier: '',   //供应商名称
        brand: ['PUCCA'],   //包含品牌（格式：数组）
        pattern: '代销入库',    //经营模式
        attr: '主合同',    //合同属性
        timeFrom: '2015-12-31', //有效期开始
        timeTo: '2016-12-30',   //有效期结束
        operate: 1  (0: 解约, 1: 生效中, 2: 合同过期)  //操作状态
    }, {  
        ...  
    }]
}

```
### 合同审核 -> 列表数据
``` json

{
    data: [{  
        name: '',   //合同名称
        number: '16YH33',   //合同编号
        supplier: '',  //供应商名称
        brand: ['PUCCA'],   //包含品牌（格式：数组）
        pattern: '代销入库',    //经营模式
        attr: '主合同',    //合同属性
        time: '2016-01-13',     //创建时间
        timeFrom: '2015-12-31', //有效期开始
        timeTo: '2016-12-30'    //有效期结束
    }, {  
        ...  
    }]
}

```


## 添加品牌接口

> 接口名： `/interface/brand/add`

### 入参

-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|contractsdatas|string|JSON|合同名称|
|agreement_end_time|string|2016-01-05|有效期开始时间|
|agreement_start_time|string|2016-01-05|有效期结束时间|
|agreement_name|string|xxxx|合同名称|
|agreement_code|string|xxxx|合同编号|
|settlement_period|string|1|结算周期|
|invoice_type|string|1|发票类型|
|selectImage|string|http://img01.yohoboys.com/o_1a9mt81m1to11hg0d5t13de1idj7.png|纸质合同|
|id|int|1|品牌ID|
---------------------

``` json
[
    {"operation_service":{"type":"1","name":"代运营-YOHO运营","value":"0.00"},
    "photographic_service":{"type":"1","name":"使用摄影服务","value":"0.00"},
    "size_service":{"type":"1","name":"使用尺码测量","value":"0.00"},
    "storage_service_koudian":"0.00",
    "ruledatas":[
            {
                "maxSort":{"name":"所有一级目录","value":"0"},
                "middleSort":{"name":"所有二级目录","value":"0"},
                "smallSort":{"name":"所有三级目录","value":"0"},
                "sort":{"name":"所有四级目录","value":"0"},
                "commissions":[{"zhe":"0","kou":"0.00"}],
                "discount":"0",
                "key":"0-0-0-0"
            }
        ],
    "supplier_name":{"name":"上海热力贸易有限公司","value":"1120"}
    }
]

```


### 返回

``` json
{
  "code":200,
  "message":"添加成功！"
}

```



## 修改品牌接口

> 接口名： `/interface/brand/update`

### 入参

-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|contractsdatas|string|JSON|合同名称|
|agreement_end_time|string|2016-01-05|有效期开始时间|
|agreement_start_time|string|2016-01-05|有效期结束时间|
|agreement_name|string|xxxx|合同名称|
|agreement_code|string|xxxx|合同编号|
|settlement_period|string|1|结算周期|
|invoice_type|string|1|发票类型|
|selectImage|string|http://img01.yohoboys.com/o_1a9mt81m1to11hg0d5t13de1idj7.png|纸质合同|
|id|int|1|品牌ID|
---------------------

``` json
[
    {"operation_service":{"type":"1","name":"代运营-YOHO运营","value":"0.00"},
    "photographic_service":{"type":"1","name":"使用摄影服务","value":"0.00"},
    "size_service":{"type":"1","name":"使用尺码测量","value":"0.00"},
    "storage_service_koudian":"0.00",
    "ruledatas":[
            {
                "maxSort":{"name":"所有一级目录","value":"0"},
                "middleSort":{"name":"所有二级目录","value":"0"},
                "smallSort":{"name":"所有三级目录","value":"0"},
                "sort":{"name":"所有四级目录","value":"0"},
                "commissions":[{"zhe":"0","kou":"0.00"}],
                "discount":"0",
                "key":"0-0-0-0"
            }
        ],
    "supplier_name":{"name":"上海热力贸易有限公司","value":"1120"}
    }
]

```


### 返回

``` json
{
  "code":200,
  "message":"添加成功！"
}

```

