# 品类关联尺码属性管理接口服务定义
---------------------

# 添加品类关联尺码属性接口

> 接口名： `/sortAttribute/add/`

### 入参

-------------------------
|属性名称|类型|例子|说明|是否必填|
|--------|----|----|----|--------|
|sortId      |int|1    |品类id  |是   |
|attributeId|int|2|尺码属性id|是|
|orderBy|int|2|排序|否|

---------------------

### 返回

``` json
{
  "code":200,
  "message":"success"
}

```

# 获取品类关联尺码属性列表

> 接口名： `sortAttribute/queryList/`

### 入参

-------------------------
|属性名称|类型|例子|说明|是否必填|
|-------|----|----|----|-------|
|sortId      |int|1    |品类id  |是   |
|page|int|2|页码，默认1|是|
|size|int|20|记录数，默认10|是|
--------------------------------

### 返回

``` json
{
  "code": 200,
  "data": {
    "content": [
      {
        "attributeId": 26,
        "attributeName": "直径",
        "orderBy": 0,
        "sortId": 74,
        "sortName": "戒指"
      },
      {
        "attributeId": 44,
        "attributeName": "周长",
        "orderBy": 0,
        "sortId": 74,
        "sortName": "戒指"
      },
      {
        "attributeId": 45,
        "attributeName": "周长",
        "orderBy": 0,
        "sortId": 74,
        "sortName": "戒指"
      }
    ],
    "number": 1,
    "size": 30,
    "totalElements": 3,
    "totalPages": 1
  },
  "md5": "9d7cb51564aa667059932b0e4be237e9",
  "message": "success"
}

```






# 更新品类关联尺码属性接口

> 接口名： `/sortAttribute/update`

### 入参

-------------------------
|属性名称|类型|例子|说明|是否必填|
|--------|----|----|----|--------|
|sortId      |int|1    |品类id  |是   |
|attributeId|int|2|尺码属性id|是|
|preAttributeId      |int|1    |修改前尺码属性id  |是   |
|orderBy|int|2|排序|否|
---------------------

### 返回

``` json
{
  "code": 200,
  "data": [],
  "md5": "d751713988987e9331980363e24189ce",
  "message": " success."
}

```

# 删除品类关联尺码属性接口

> 接口名： `/sortAttribute/delete`

### 入参

-------------------------
|属性名称|类型|例子|说明|是否必填|
|--------|----|----|----|--------|
|sortId      |int|1    |品类id  |是   |
|attributeId|int|2|尺码属性id|是|

---------------------

### 返回

``` json
{
  "code": 200,
  "data": [],
  "md5": "d751713988987e9331980363e24189ce",
  "message": " success."
}

```

# 获取单个品类关联尺码属性接口

> 接口名： `/sortAttribute/queryBySortAttr`

### 入参

-------------------------
|属性名称|类型|例子|说明|是否必填|
|--------|----|----|----|--------|
|sortId      |int|1    |品类id  |是   |
|attributeId|int|2|尺码属性id|是|
---------------------

### 返回

``` json
{
  "code": 200,
  "data": {
    "attributeId": 26,
    "attributeName": "直径",
    "orderBy": 0,
    "sortId": 74,
    "sortName": "戒指"
  },
  "md5": "354b1dbdc27b1d285dd2fc6743906f84",
  "message": "success"
}

```

