## 查询价格列表接口

> 接口名： '/product/queryProductPriceList'

### 入参

-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|product_skn|Number|60000050|商品的skn|
|shop_id|Number|43|店铺Id|
|brand_id|Number|43|品牌id|
|supplier_id|Number|43|供应商Id|
|is_jit|String|"N"|是否是代销不入库   Y 或者 N|
|is_auditing|Number|200|商品状态|
|stock|Number|1|有库存为1 无填写 0|
|gender|Number|1|性别 1代表男性，2代表女性  3代表通用|
|max_sort_id|Number|1|大分类的Id|
|middle_sort_id|Number|12|中分类Id|
|small_sort_id|Number|111|小分类的Id|
|page|Number|1|当前页数 从1开始|
|size|Number|10|每页显示条数，默认10|
---------------------

### 返回(备注：		("1", "男")("2", "女")("3", "通用")

``` json
{
  "code": 200,
  "data": {
    "list": [
      {
        "brand_id": 175,
        "brand_name": "品牌名称",
		"founder": 9278,
        "max_sort_id": 10,
        "max_sort_name": "创意生活",
        "middle_sort_id": 101,
        "middle_sort_name": "文具",
        "product_name": "团一复古花纹满本图案牛皮纸笔记本",
        "product_pic_url": "http://img12.static.yhbimg.com/goodsimg/2011/06/24/13/02e571a64cea3ea8e734f8f0aae790fb4f.jpg?imageView/0/w/60/h/60",
        "product_skn": 50000055,
        "retail_price": 29,
        "return_coin": 300,
        "sales_price": 29,
        "small_sort_id": 111,
        "small_sort_name": "本子",
        "supplier_id": 0,
        "supplier_name":"供应商名称",
		"updateTime": "2016-02-02 10:37:43",
        "vip1_price": 0,
        "vip2_price": 0,
        "vip3_price": 0,
        "vip_discount_type": 1,
        "vip_price": 0，
        "shop_id":1,
        "shop_name":"店铺名称",
        "gender":"1"，
        "founderName":"操作人姓名"
      },
      {
        "brand_id": 187,
        "brand_name": "顽",
		"founder": 9278,
        "max_sort_id": 8,
        "max_sort_name": "服配",
        "middle_sort_id": 66,
        "middle_sort_name": "配饰",
        "product_name": "PLAY顽植物大战僵尸坚果墙挂饰",
        "product_pic_url": "http://img10.static.yhbimg.com/goodsimg/2011/06/23/05/01bda4fc443c96aa3a2e9287c3c17be87a.jpg?imageView/0/w/60/h/60",
        "product_skn": 50000056,
        "retail_price": 18,
        "return_coin": 0,
        "sales_price": 18,
        "small_sort_id": 305,
        "small_sort_name": "挂饰",
        "supplier_id": 0,
        "supplier_name":"供应商名称",
		"updateTime": "2016-02-02 10:37:43",
        "vip1_price": 0,
        "vip2_price": 0,
        "vip3_price": 0,
        "vip_discount_type": 1,
        "vip_price": 0，
        "shop_id":1,
        "shop_name":"店铺名称",
        "gender":"1"，
        "founderName":"操作人姓名"
      }
    ],
    "page": 1,
    "size": 2,
    "total": 2,
    "totalPage": 1
  },
  "md5": "9a92b3c94d9676a8089169ee46ebce4a",
  "message": "Product Price List."
}

```

## 查询所有的店铺信息

> 接口名： '/ShopsRest/queryAllShops'

### 入参

-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
---------------------

### 返回

``` json
{
  "code": 200,
  "data": [
    {
      "checkStatus": 0,
      "shopName": "得宝旗舰店",
      "shopsId": 15,
      "status": 0
    },
    {
      "checkStatus": 0,
      "shopName": ":CHOCOOLATEQ",
      "shopsId": 16,
      "status": 0
    }
  ],
  "message": "操作成功"
}

```


## 查询所有的品牌列表

> 接口名： '/erpproduct/brands/queryAllBrands'

### 入参

-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
---------------------

### 返回

``` json
{
  "code": 200,
  "data": [
    {
      "brandDomain": "lily",
      "brandName": "lily",
      "brandNameEn": "lily",
      "id": 1431,
      "status": 1
    },
    {
      "brandDomain": "test",
      "brandName": "test",
      "brandNameCn": "",
      "brandNameEn": "test",
      "id": 1430,
      "status": 1
    }
  ],
  "md5": "03098c8c158c8405117daadb91ed792a",
  "message": "Product Brand List."
}

```


## 查询所有的供应商列表信息

> 接口名： '/supplier/supplier/queryAllSupplier'

### 入参

-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
---------------------

### 返回

``` json
{
  "code": 200,
  "data": [
    {
      "brandId": 0,
      "supplierId": 1,
      "supplierName": "10*1"
    },
    {
      "brandId": 0,
      "supplierId": 2,
      "supplierName": "广派商业（上海）有限公司"
    },
    {
      "brandId": 0,
      "supplierId": 3,
      "supplierName": "广州市海珠区艺柏时装经营部"
    }
  ],
  "message": "操作成功"
}

```

## 查询商品是否是JIT配置

> 接口名： '/product/queryJitConfigList'

### 入参

-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
---------------------

### 返回

``` json
{
  "code": 200,
  "data": {
    "N": "非JIT",
    "Y": "是JIT"
  },
  "md5": "47b9033a2b45f1f51739d7c8ca2b2e29",
  "message": "Jit Config List."
}

```


## 查询商品是否是JIT配置

> 接口名： '/product/queryProductStatusConfigList'

### 入参

-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
---------------------

### 返回

``` json
{
   "code": 200,
   "data":    {
      "0": "下架",
      "200": "上架"
   },
   "md5": "3e1f4e393d82140086f3b11342196cb6",
   "message": "Status Config List."
}

```

## 查询商品库存情况的配置

> 接口名： '/product/queryProductStockConfigList'

### 入参

-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
---------------------

### 返回

``` json
{
   "code": 200,
   "data":    {
      "0": "无库存",
      "1": "有库存"
   },
   "md5": "b5fdee6640106a6eff445b8181a7e96b",
   "message": "Stock Config List."
}

```

## 查询商品所属  性别分类信息

> 接口名： '/product/queryGenderConfigList'

### 入参

-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
---------------------

### 返回

``` json
{
  "code": 200,
  "data": {
    "1": "男",
    "2": "女",
    "3": "通用"
  },
  "md5": "454312b4aadbcd602078c175631f20ea",
  "message": "Gender Config List."
}

```

## 查询所有的一级分类列表

> 接口名： '/product/queryAllMaxSortList'

### 入参

-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
---------------------

### 返回（备注: id   和  sortName 有用）

``` json
{
  "code": 200,
  "data": [
    {
      "booleanStatus": true,
      "createTime": 0,
      "gender": 3,
      "id": 365,
      "isHot": "N",
      "orderBy": 0,
      "parentId": 0,
      "sortCode": "365,0,0",
      "sortInitials": "潮童",
      "sortLevel": 1,
      "sortName": "潮童",
      "status": 1,
      "updateTime": 1454060643
    },
    {
      "booleanStatus": false,
      "createTime": 0,
      "gender": 3,
      "id": 241,
      "isHot": "N",
      "orderBy": 0,
      "parentId": 0,
      "sortCode": "241,0,0",
      "sortInitials": "数码周边",
      "sortLevel": 1,
      "sortName": "数码周边",
      "status": 0,
      "updateTime": 0
    }
  ],
  "md5": "dc2b4caace98d678cf688edcdd204675",
  "message": "Product Sort List."
}

```


## 根据skn获取价格信息

> 接口名： '/product/getProductPrice'

### 入参

-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|param|number|5000060|商品的Skn|
---------------------

### 返回 (备注 ： costPrice 成本价  purchasePrice 进货价    purchaseDiscount  进货折扣 )

``` json
{
  "code": 200,
  "data": {
    "cost_price": 0,
    "founder": 9278,
    "product_skn": 50000063,
    "purchase_discount": 0,
    "purchase_price": 0,
    "retail_price": 50,
    "return_coin": 9999,
    "sales_price": 211.22,
    "updateTime": "2016-02-03 13:33:15",
    "vip1_price": 200.66,
    "vip2_price": 190.1,
    "vip3_price": 185.87,
    "vip_discount_type": 1,
    "vip_price": 9999
  },
  "md5": "cfb9c7b74370346f4bd55fabb7f1deae",
  "message": "Product Price get success."
}

```


## 单个商品变价

> 接口名： '/product/updateProductPrice'

### 入参

-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|product_skn|number|5000060|商品的Skn|
|sales_price|float|22.22|销售价格|
|vip_discount_type|number|5000060|商品的Skn|
|founder|number|2262|操作人标识|
|return_coin|number|200|返回币数|
|vip_price|float|22.33|vip价格 vipDiscountType 为4时必填|
|vip1_price|float|22.33|折扣类型为5时必填|
|vip2_price|float|22.33|折扣类型为5时必填|
|vip3_price|float|22.33|折扣类型为5时必填|
---------------------

### 返回 (备注 ：code 为200代表成功 )

``` json
{
  "code": 200,
  "data": [],
  "md5": "d751713988987e9331980363e24189ce",
  "message": "Product Price update success."
}

```

## 批量商品变价

> 接口名： '/product/batchUpdateProductPrice'

### 入参  例子：[{"product_skn": 50000060, "sales_price" :211.22, "vip_discount_type":1, "founder":9278, "return_coin":88, "vip_price":99},
{"product_skn": 50000063, "sales_price" :211.22, "vip_discount_type":1, "founder":9278, "return_coin":88, "vip_price":99}]

-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|product_skn|number|5000060|商品的Skn|
|sales_price|float|22.22|销售价格|
|vip_discount_type|number|5000060|商品的Skn|
|founder|number|2262|操作人标识|
|return_coin|number|200|返回币数|
|vip_price|float|22.33|vip价格 vipDiscountType 为4时必填|
|vip1_price|float|22.33|折扣类型为5时必填|
|vip2_price|float|22.33|折扣类型为5时必填|
|vip3_price|float|22.33|折扣类型为5时必填|
---------------------

### 返回 (备注 ：code 为200代表成功 ,  data表示成功记录的表格所处相对路径)

``` json
{
  "code": 200,
  "data": "1455604702941.xlsx",
  "md5": "d751713988987e9331980363e24189ce",
  "message": "Product Price update success."
}

```



## 下载文件

> 接口名： '/batch/download?path= ***'

### 入参  

-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|path|字符串|文件链接|必填|
---------------------

### 返回 

``` 
文件流
```



## 批量上传变价文本

> 接口名： '/batch/import'

### 入参  

-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|file|文件|文件流|必填|
|type|字符串|price|必填|
---------------------

### 返回 (备注：failFileReason 是失败的原因， succesList成功的列表 newProductPriceBo代表表格中的新数据 oldProductPriceBo代表数据库中的旧记录 )

``` 
{
  "code": 200,
  "data": {
    "failFileReason": [
      "第2行:对应的skn不存在数据库中;",
      "第3行:非代销商品;",
      "第5行:固定折扣，填写VIP价;",
      "第7行:固定折扣，填写VIP价;",
      "第9行:固定折扣，填写VIP价;",
      "第10行:固定折扣，填写VIP价;",
      "第11行:固定折扣，填写VIP价;",
      "第12行:固定折扣，填写VIP价;"
    ],
    "succesList": [
      {
        "newProductPriceBo": {
          "product_skn": 50000082,
          "retail_price": 298,
          "return_coin": 1111,
          "sales_price": 22,
          "vip_discount_type": 4,
          "vip_price": 260
        },
        "oldProductPriceBo": {
          "product_skn": 50000082,
          "retail_price": 298,
          "return_coin": 0,
          "sales_price": 149,
          "vip1_price": 0,
          "vip2_price": 0,
          "vip3_price": 0,
          "vip_discount_type": 3,
          "vip_price": 0
        }
      },
      {
        "newProductPriceBo": {
          "product_skn": 50000082,
          "retail_price": 298,
          "return_coin": 1111,
          "sales_price": 22,
          "vip_discount_type": 4,
          "vip_price": 260
        },
        "oldProductPriceBo": {
          "product_skn": 50000082,
          "retail_price": 298,
          "return_coin": 0,
          "sales_price": 149,
          "vip1_price": 0,
          "vip2_price": 0,
          "vip3_price": 0,
          "vip_discount_type": 3,
          "vip_price": 0
        }
      },
      {
        "newProductPriceBo": {
          "product_skn": 50000082,
          "retail_price": 298,
          "return_coin": 1111,
          "sales_price": 22,
          "vip_discount_type": 4,
          "vip_price": 260
        },
        "oldProductPriceBo": {
          "product_skn": 50000082,
          "retail_price": 298,
          "return_coin": 0,
          "sales_price": 149,
          "vip1_price": 0,
          "vip2_price": 0,
          "vip3_price": 0,
          "vip_discount_type": 3,
          "vip_price": 0
        }
      },
      {
        "newProductPriceBo": {
          "product_skn": 50000082,
          "retail_price": 298,
          "return_coin": 1111,
          "sales_price": 22,
          "vip_discount_type": 4,
          "vip_price": 260
        },
        "oldProductPriceBo": {
          "product_skn": 50000082,
          "retail_price": 298,
          "return_coin": 0,
          "sales_price": 149,
          "vip1_price": 0,
          "vip2_price": 0,
          "vip3_price": 0,
          "vip_discount_type": 3,
          "vip_price": 0
        }
      }
    ]
  },
  "message": "导入成功"
}
```