## 1.数据库
### 1.1 店铺审核（erp_supplier.shops_check）
#### sql 脚本
```sql
CREATE TABLE `shops_check` (
  `shops_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `shop_name` varchar(100) NOT NULL,
  `shop_domain` varchar(50) NOT NULL,
  `shop_relation` varchar(5000) DEFAULT NULL,
  `shop_nature` tinyint(4) unsigned NOT NULL DEFAULT '0',
  `shop_logo` varchar(200) DEFAULT NULL,
  `shop_intro` varchar(5000) DEFAULT NULL,
  `website_url` varchar(500) NOT NULL,
  `other_url` varchar(500) DEFAULT NULL,
  `shop_address` varchar(1000) DEFAULT NULL,
  `create_pid` int(11) unsigned DEFAULT '0',
  `shops_type` tinyint(4) NOT NULL DEFAULT '1' COMMENT '1、单品店，2、多品店',
  `operation_status` tinyint(4) unsigned NOT NULL DEFAULT '1' COMMENT '1 店铺未创建 2店铺已创建',
  `examine_status` tinyint(4) unsigned NOT NULL DEFAULT '0',
  `status` tinyint(4) NOT NULL DEFAULT '0' COMMENT '1 开启 0 关闭',
  `check_status` smallint(6) DEFAULT NULL COMMENT '100 暂存 200 待审核 300 审核通过 900 驳回',
  `is_read` tinyint(4) NOT NULL DEFAULT '0' COMMENT '1 未处理 2 已处理',
  `create_time` int(10) unsigned NOT NULL DEFAULT '0',
  `update_time` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`shops_id`)
) ENGINE=InnoDB AUTO_INCREMENT=433 DEFAULT CHARSET=utf8;

```

#### 说明

| 列名 | 说明 | 备注 |
| -------- | -------- |-------- |
|shops_id| 店铺ID| |
|shop_name| 店铺名称||
|shop_domain| 店铺域名  | |
|shop_relation  | 店铺品牌供应商关联 |json格式数据，品牌ID,供应商ID,合同的到期时间,方法标识(add 添加,del 删除)|
|shop_nature| 店铺性质(店铺类型) |  1 旗舰店 2 专卖店|
|shop_logo|店铺logo| |
|shop_intro|店铺简介|  |
|website_url|官网地址|json格式数据，网址|
|other_url| 其他平台网址地址  |json格式数据，网址|
|shop_address| 实体店地址 |json格式数据，实体店地址 |
|create_pid|创建人|  |
|shops_type|店铺模式|1 单品店  2 多品店|
|operation_status|操作状态|1 店铺未创建 2店铺已创建|
|examine_status| 是否通过审核||
|status| 状态 |1开启 0 关闭|
|check_status| 审核状态|100 暂存 200 待审核 300 审核通过 900 驳回|
|is_read|处理状态|1 未处理 2 已处理|
|create_time| 添加时间||
|update_time|修改时间||

其中，表中`shop_relation`的json格式，如下：
```javascript
[{
	"brandId":355,
	"supplierId":310,
	"agreementEndTime":1485792000,
	"method":"add"
},
{
	"brandId":178,
	"supplierId":480,
	"agreementEndTime":1459353600,
	"method":"del"
}]
```
表中`website_url`的json格式，如下：
```javascript
["网址1","网址2"]
```
表中`other_url`的json格式，如下：
```javascript
["网址1","网址2"]
```
表中`shop_address`的json格式，如下：
```javascript
["地址1","地址2"]
```