# 店铺装修接口

## 保存店铺装修系信息
> POST `/ShopsDecoratorRest/saveShopsDecorator`

### 入参

```json

{
  "shopsId":1,
  "platform": "APP",
  "templateName": "BASE",
  "resources": [
    {
      "id":7,
      "name": "shopTopBanner",
      "data": {
        "src": "http://img10.static.yhbimg.com/taobaocms/2016/01/25/12/0155598441256e46ec285a8ea64e762394.png",
        "isShowShopName": "Y"
      }
    },
    {
      "id":8,
      "name": "productDetailTopBanner",
      "data": {
        "src": "http://img10.static.yhbimg.com/taobaocms/2016/01/25/12/015}5598441256e46ec285a8ea64e762394.png"
      }
    },
    {
      "id":9,
      "name": "oneRowTwoColImages",
      "data": [
        {
          "position": 1,
          "src": "http://img10.static.yhbimg.com/taobaocms/2016/01/25/12/0155598441256e46ec285a8ea64e762394.png",
          "url": {},
          "startTime": 1309514897,
          "endTime": 1309514967,
          "publishStatus": 0
        }
      ]
    },
    {
      "id":10,
      "name": "hotProducts",
      "data": [
        50000881,
        50000882,
        50000883,
        50000884,
        50000885,
        50000886,
        50000887,
        50000888
      ]
    }
  ]
}
```

|参数名      |必填 |类型       |示例值     |描述           |
|------      |---- |----       |------     |----           |
|shopsId     |是   |int        |1          |店铺编号       |
|platform    |否   |string     |APP        |平台名称       |
|templateName|否   |string     |BASE       |模板名称       |
|resources   |否   |json       |           |资源           |

#### 资源描述-店铺头部横幅

|参数名                |必填 |类型       |示例值                    |描述           |
|------                |---- |----       |------                    |----           |
|id                    |否   |int        |7                         |资源编号       |
|name                  |是   |string     |shopTopBanner             |资源名称       |
|data                  |是   |json       |                          |资源内容       |
|src                   |是   |string     |http://img10.static.yhbimg.com/taobaocms/2016/01/25/12/0155598441256e46ec285a8ea64e762394.png|店铺头部横幅图片|
|isShowShopName        |否   |string     |Y                         |是否显示店铺名称|

#### 资源描述-商品详情头部横幅

|参数名                |必填 |类型       |示例值                    |描述           |
|------                |---- |----       |------                    |----           |
|id                    |否   |int        |8                         |资源编号       |
|name                  |是   |string     |productDetailTopBanner    |资源名称       |
|data                  |是   |json       |                          |资源内容       |
|src                   |是   |string     |http://img10.static.yhbimg.com/taobaocms/2016/01/25/12/0155598441256e46ec285a8ea64e762394.png|商品详情头部横幅图片|


### 返回

```json

{
    "code": 200,
    "message": "操作成功",
    "data":{
        "id":1,
        "platform":"APP",
        "templateName":"BASE",
        "resources":[]
    }
}
```

|参数名      |必填 |类型       |示例值     |描述           |
|------      |---- |----       |------     |----           |
|id          |是   |int        |1          |店铺装修编号   |
|platform    |是   |string     |APP        |平台名称       |
|templateName|是   |string     |BASE       |模板名称       |
|resources   |是   |json       |           |资源           |


## 查询店铺装修信息
> POST `/ShopsDecoratorRest/findShopsDecorator`

### 入参

```json

{
  "page":1,
  "size":20,
  "shopsId":1,
  "checkStatus": 100,
  "supplierId": 1,
  "brandId": 1
}
```

|参数名      |必填 |类型       |示例值     |描述           |
|------      |---- |----       |------     |----           |
|page        |否   |int        |1          |页数           |
|size        |否   |int        |20         |每页大小       |
|shopsId     |否   |int        |1          |店铺编号       |
|checkStatus |否   |int        |100        |审核状态       |
|supplierId  |否   |int        |1          |供应商编号     |
|brandId     |否   |int        |1          |品牌编号       |


### 返回

```json

{
    "code": 200,
    "message": "操作成功",
    "data":{
        "page":1,
        "size":20,
        "total":101,
        "totalPage":6,
        "list":[{
            "id":1,
            "shopsId":1,
            "shopsName":"T.U.K",
            "checkStatus":100,
            "createTime":1454551897,
            "updateTime":1454551897,
            "status":1,
            "brands":[{
                "id":517,
                "brandName":"T.U.K",
                "brandNameCn":"",
                "brandNameEn":"T.U.K"
            }]
        }]
    }
}
```

|参数名      |必填 |类型       |示例值     |描述           |
|------      |---- |----       |------     |----           |
|page        |是   |int        |1          |页数           |
|size        |是   |int        |20         |每页大小       |
|total       |是   |int        |1          |总记录数       |
|totalPage   |是   |int        |100        |总页数         |
|list        |是   |json       |           |店铺装修信息   |
|id          |否   |int        |1          |店铺装修编号   |
|shopsId     |是   |int        |1          |店铺编号       |
|shopsName   |是   |string     |T.U.K      |店铺名称       |
|checkStatus |否   |int        |100        |店铺装修审核状态|
|createTime  |否   |int        |1454551897 |店铺创建时间   |
|updateTime  |否   |int        |1454551897 |店铺更新时间   |
|status      |否   |int        |1          |店铺装修状态   |
|brands      |否   |json       |           |品牌信息       |
|id          |否   |int        |517        |品牌编号       |
|brandName   |否   |string     |T.U.K      |品牌名称       |
|brandNameCn |否   |string     |           |品牌中文名称   |
|brandNameEn |否   |string     |T.U.K      |品牌英文名称   |


## 查询店铺装修详细信息
> POST `/ShopsDecoratorRest/findShopsDecoratorDetail`

### 入参

```json

{
  "id":2,
  "platform": "APP",
  "templateName": "BASE"
}
```

|参数名      |必填 |类型       |示例值     |描述           |
|------      |---- |----       |------     |----           |
|id          |是   |int        |1          |页数           |
|platform    |否   |string     |APP        |平台名称（默认：APP）       |
|templateName|否   |string     |BASE       |模板名称（默认：启用的模板）|

### 返回

```json

{
    "code": 200,
    "message": "操作成功",
    "data":{
        "id":1,
        "platform":"APP",
        "templateName":"BASE",
        "resources":[]
    }
}
```

|参数名      |必填 |类型       |示例值     |描述           |
|------      |---- |----       |------     |----           |
|id          |是   |int        |1          |店铺装修编号   |
|platform    |是   |string     |APP        |平台名称       |
|templateName|是   |string     |BASE       |模板名称       |
|resources   |是   |json       |           |资源           |