# 尺码属性管理接口服务定义
---------------------

# 添加尺码接口

> 接口名： `/product/addSizeAttribute`

### 入参

-------------------------
|属性名称|类型|例子|说明|是否必填|
|--------|----|----|----|--------|
|attributeName|string|后中长|名称|是|

---------------------

### 返回

``` json
{
  "code":200,
  "message":"添加成功！"
}

```


# 获取尺码属性列表(有分页)

> 接口名： `/product/querySizeAttributeList`

### 入参

-------------------------
|属性名称|类型|例子|说明|是否必填|
|-------|----|----|----|-------|
|page|int|1|页码|是|
|size|int|10|条数|是|
--------------------------------

### 返回

``` json
{
  "code": 200,
  "data": {
    "list": [
      {
        "attributeName": "衣长",
        "id": 60,
        "orderBy": 0
      },
      {
        "attributeName": "胸底围",
        "id": 61,
        "orderBy": 0
      },
      {
        "attributeName": "防水台",
        "id": 62,
        "orderBy": 1
      },
      {
        "attributeName": "品牌尺寸",
        "id": 63,
        "orderBy": 1
      },
      {
        "attributeName": "半径",
        "id": 64,
        "orderBy": 1
      }
    ],
     "page": 0,-第几页
    "size": 0,-单页记录数
    "total": 437,--总数
    "totalPage": 1--总页数
  },
  "md5": "81531967e3291781f608555ca63ccd28",
  "message": "Product size List."
}

```


# 更新尺码属性接口

> 接口名： `/product/updateSizeAttribute`

### 入参

-------------------------
|属性名称|类型|例子|说明|是否必填|
|--------|----|----|----|--------|
|id|int|15|ID|是|
|attributeName|string|后中长|名称|是|
---------------------

### 返回

``` json
{
  "code": 200,
  "data": [],
  "md5": "d751713988987e9331980363e24189ce",
  "message": "size update success."
}

```



# 获取单个尺码属性接口

> 接口名： `/product/getSizeAttribute`

### 入参

-------------------------
|属性名称|类型|例子|说明|是否必填|
|--------|----|----|----|--------|
|id     |int  |15  |ID  |是|
---------------------

### 返回

``` json
{
  "code": 200,
  "data":{
        "attributeName": "半径",
        "id": 64,
        "orderBy": 1
      },
  "md5": "dfc645ecb0c66c8d4771dd2a749047e8",
  "message": "Product size get success."
}

```

# 根据名称模糊查询获取一组尺码属性接口

> 接口名： `/product/querySizeAttributesByName`

### 入参

-------------------------
|属性名称|类型|例子|说明|是否必填|
|--------|----|----|----|--------|
|idName |String  |长  |属性名称中包含的字词  |是|
---------------------

### 返回

``` json
{
  "code": 200,
  "data": [
      {
        "text": "衣长",
        "id": 60
        
      }
    ],
  "md5": "dfc645ecb0c66c8d4771dd2a749047e8",
  "message": "Product size get success."
}

```
