# 尺码管理接口服务定义
---------------------

# 添加尺码接口

> 接口名： `/product/addSize`

### 入参

-------------------------
|属性名称|类型|例子|说明|是否必填|
|--------|----|----|----|--------|
|sizeName|string|L|名称|是|

---------------------

### 返回

``` json
{
  "code":200,
  "message":"添加成功！"
}

```

# 获取尺码列表(没有分页)

> 接口名： `/product/queryAllSizeList`

### 入参

-------------------------
|属性名称|类型|例子|说明|是否必填|
|-------|----|----|----|-------|
--------------------------------

### 返回

``` json
{
  "code": 200,
  "data": [
    {
      "id": 1,
      "sizeName": "1"
    },
    {
      "id": 2,
      "sizeName": "10#"
    },
    {
      "id": 3,
      "sizeName": "10.5码"
    },
    {
      "id": 4,
      "sizeName": "10000"
    }],
  "md5": "4ebf5e614102a54b0025164d794f8032",
  "message": "Product size List."
  }

```

# 获取尺码列表(有分页)

> 接口名： `/product/querySizeList`

### 入参

-------------------------
|属性名称|类型|例子|说明|是否必填|
|-------|----|----|----|-------|
|page|int|1|页码|是|
|size|int|10|条数|是|
--------------------------------

### 返回

``` json
{
  "code": 200,
  "data": {
    "list": [
      {
        "id": 1,
        "sizeName": "1"
      },
      {
        "id": 2,
        "sizeName": "10#"
      },
      {
        "id": 3,
        "sizeName": "10.5码"
      },
      {
        "id": 4,
        "sizeName": "10000"
      },
      {
        "id": 5,
        "sizeName": "105"
      }
    ],
    "page": 0,-第几页
    "size": 0,-单页记录数
    "total": 437,--总数
    "totalPage": 1--总页数
  },
  "md5": "81531967e3291781f608555ca63ccd28",
  "message": "Product size List."
}

```


# 更新尺码接口

> 接口名： `/product/updateSize`

### 入参

-------------------------
|属性名称|类型|例子|说明|是否必填|
|--------|----|----|----|--------|
|id|int|15|ID|是|
|sizeName|string|L|名称|是|
---------------------

### 返回

``` json
{
  "code": 200,
  "data": [],
  "md5": "d751713988987e9331980363e24189ce",
  "message": "size update success."
}

```



# 获取单个尺码接口

> 接口名： `/product/getSize`

### 入参

-------------------------
|属性名称|类型|例子|说明|是否必填|
|--------|----|----|----|--------|
|id     |int  |15  |ID  |是|
---------------------

### 返回

``` json
{
  "code": 200,
  "data": {
      "id": 9,
      "sizeName": "10.5码"
    },
  "md5": "dfc645ecb0c66c8d4771dd2a749047e8",
  "message": "Product size get success."
}

```
# 根据名称获取尺码接口

> 接口名： `/product/querySizeByNameForSelect/`

### 入参

-------------------------
|属性名称|类型|例子|说明|是否必填|
|--------|----|----|----|--------|
|idName |String  |码  |名称  |否|
---------------------

### 返回

``` json
{
  "code": 200,
  "data": {
      {
      "id": "2",
      "text": "10#"
    },
    {
      "id": "3",
      "text": "10.5码"
    },
    {
      "id": "4",
      "text": "10000"
    },
    {
      "id": "5",
      "text": "105"
    }
    },
  "md5": "dfc645ecb0c66c8d4771dd2a749047e8",
  "message": "success"
}

```


