# 品类尺码管理接口服务定义
---------------------

# 添加尺码接口

> 接口名： `/product/addSortSize`

### 入参

-------------------------
|属性名称|类型|例子|说明|是否必填|
|--------|----|----|----|--------|
|sortId|int|1|分类id|是|
|sizeId|int|2|尺码id|是|
|orderBy|int|3|排序|是|


---------------------

### 返回

``` json
{
  "code":200,
  "message":"添加成功！"
}

```

# 获取品类尺码列表(没有分页)

> 接口名： `/product/querySizeListBySortId`

### 入参

-------------------------
|属性名称|类型|例子|说明|是否必填|

|-------|----|----|----|-------|
|sortId|int   |1     |分类id|是|
--------------------------------

### 返回

``` json
{
  "code": 200,
  "data": {
  "list": [
      {
        "orderBy": 1,
        "sizeId": 199,
        "sizeName": "F",
        "sortId": 72,
        "sortName": "耳钉/耳环"
      },
      {
        "orderBy": 1,
        "sizeId": 201,
        "sizeName": "L",
        "sortId": 72,
        "sortName": "耳钉/耳环"
      },
      {
        "orderBy": 1,
        "sizeId": 203,
        "sizeName": "M",
        "sortId": 72,
        "sortName": "耳钉/耳环"
      },
      {
        "orderBy": 1,
        "sizeId": 204,
        "sizeName": "M/L",
        "sortId": 72,
        "sortName": "耳钉/耳环"
      },
      {
        "orderBy": 1,
        "sizeId": 207,
        "sizeName": "S",
        "sortId": 72,
        "sortName": "耳钉/耳环"
      },
      {
        "orderBy": 1,
        "sizeId": 211,
        "sizeName": "XL",
        "sortId": 72,
        "sortName": "耳钉/耳环"
      },
      {
        "orderBy": 1,
        "sizeId": 213,
        "sizeName": "XS",
        "sortId": 72,
        "sortName": "耳钉/耳环"
      },
      {
        "orderBy": 1,
        "sizeId": 214,
        "sizeName": "XS/S",
        "sortId": 72,
        "sortName": "耳钉/耳环"
      },
      {
        "orderBy": 1,
        "sizeId": 216,
        "sizeName": "XXL",
        "sortId": 72,
        "sortName": "耳钉/耳环"
      },
      {
        "orderBy": 1,
        "sizeId": 217,
        "sizeName": "XXS",
        "sortId": 72,
        "sortName": "耳钉/耳环"
      },
      {
        "orderBy": 1,
        "sizeId": 218,
        "sizeName": "XXXL",
        "sortId": 72,
        "sortName": "耳钉/耳环"
      },
      {
        "orderBy": 1,
        "sizeId": 348,
        "sizeName": "XXXXL",
        "sortId": 72,
        "sortName": "耳钉/耳环"
      }
    ],
    "page": 0,
    "size": 0,
    "total": 0,
    "totalPage": 0
    }
  "md5": "4ebf5e614102a54b0025164d794f8032",
  "message": "sortsize List."
  }

```






# 删除单个品类尺码接口

> 接口名： `/product/deleteSortSize`

### 入参

-------------------------
|属性名称|类型|例子|说明|是否必填|
|--------|----|----|----|--------|
|sortId|int|1|分类id|是|
|sizeId|int|2|尺码id|是|
---------------------

### 返回

``` json
{
  "code": 200,
  "md5": "dfc645ecb0c66c8d4771dd2a749047e8",
  "message": "sortsize delete success."
}

```

