APP意见反馈管理接口服务定义
---------------------



## 获取APP意见反馈列表接口

> 接口名： '/suggest/suggest/getSuggestList'

### 入参

-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|uid|String|123|uid|
|startTime|String|2012-12-14|开始时间|
|endTime|String|2015-12-30|结束时间|
|isHot|String|0|是否热门（0：不热门，1：热门）|
|status|String|0|状态（0：未回复，1：已回复，2：已发送）|
|clientType|String|iPhone|来源|
|appVersion|String|-|版本号|
---------------------

### 返回

``` json
{
    "code":200,
    "message":"操作成功",
    "data": {
        "list": [
            {
                "id": "",                   id
                "uid": "",                  uid
                "suggestType": "",          意见来源（1：网站，2：手机）
                "createTime": "",           创建时间
                "status": "",               状态（0：未回复，1：已回复，2：已发送）
                "appVersion": "",           APP版本
                "osVersion": "",            系统版本
                "clientType": "",           客户端类型
                "updateTime": "",           修改时间
                "image": "",                图片
                "hasImage": "",             是否有图片（0：无，1：有）
                "isHot": "",                是否热门（0：不热门，1：热门）
                "content": "",              内容
                "replyContent": "",         回复内容
                "isReliable": "",           是否靠谱（0：不靠谱，1：靠谱）
                "imageUrl": "",             图片绝对路径
                "imageOriginUrl": "",       图片原始路径
                "filterContent": ""         过滤后的内容
            }
        ],
        "unReplyTotal": 152,                未回复数量
        "replyTotal": 326,                  已回复数量
        "page": 0,
        "size": 50,
        "total": 1000,
        "totalPage":20
    }
}

```


## 回复APP意见接口

> 接口名： '/suggest/suggest/replySuggest'

### 入参

-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|id|String|123|id|
|replyContent|String|-|回复内容|
---------------------

### 返回

``` json
{
    "code":200,
    "message":"操作成功"
}

```


## 设置热门/非热门接口

> 接口名： '/suggest/suggest/setHotSuggest'

### 入参

-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|id|String|123|id|
|isHot|int|0|是否热门（0：不热门，1：热门）|
---------------------

### 返回

``` json
{
    "code":200,
    "message":"操作成功"
}

```


## 删除APP意见接口

> 接口名： '/suggest/suggest/deleteSuggest'

### 入参

-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|id|String|123|id|
---------------------

### 返回

``` json
{
    "code":200,
    "message":"操作成功"

}

```


## 发送APP意见接口

> 接口名： '/suggest/suggest/publishSuggest'

### 入参

-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|id|String|123|id|
---------------------

### 返回

``` json
{
    "code":200,
    "message":"操作成功"
}

```

## 批量发送APP意见接口

> 接口名： '/suggest/suggest/batchPublishSuggest'

### 入参

-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|id|String|123,12,1|id|
---------------------

### 返回

``` json
{
    "code":200,
    "message":"操作成功"
}

```


## 获取所有APP版本号列表接口

> 接口名： '/suggest/suggest/getAllAppVersions'

### 入参

无

### 返回

``` json
{
    "code":200,
    "message":"操作成功！",
    "data": [
        "3.9.1",
        "3.9.2"
    ]
}

```


## 批量导出APP意见接口

> 接口名： '/suggest/suggest/batchExportSuggest'

### 入参

-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|id|String|123,12,1|id|
---------------------

### 返回

无