热门意见管理接口服务定义
---------------------



## 获取热门意见列表接口

> 接口名： '/suggest/suggestHot/getSuggestHotList'

### 入参

-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|startTime|String|2012-12-14|开始时间|
|endTime|String|2015-12-30|结束时间|
|status|String|0|状态（0：未编辑，1：已编辑，2：已发布）|
|clientType|String|iPhone|来源|
|hasImage|String|0|是否有图片（0：无图，1：有图）|
|isReliable|String|0|是否靠谱（0：不靠谱，1：靠谱）|
---------------------

### 返回

``` json
{
    "code":200,
    "message":"操作成功",
    "data": {
        "list": [
            {
                "id": "",                   id
                "suggestType": "",          意见来源（1：网站，2：手机）
                "createTime": "",           创建时间
                "status": "",               状态（0：未编辑，1：已编辑，2：已发布）
                "clientType": "",           客户端类型
                "updateTime": "",           修改时间
                "coverImage": "",           图片
                "hasImage": "",             是否有图片（0：无，1：有）
                "orderBy": "",              排序
                "reliable": "",             靠谱数量
                "unreliable": "",           不靠谱数量
                "suggestId": "",            APP意见ID
                "content": "",              内容
                "replyContent": "",         回复内容
                "isReliable": "",           是否靠谱（0：不靠谱，1：靠谱）
                "imageUrl": "",             图片绝对路径
                "imageOriginUrl": "",       图片原始路径
                "filterContent": ""         过滤后的内容
            }
        ],
        "uneditCount": 152,                 未编辑数量
        "editedCount": 326,                 已编辑数量
        "publishCount": 326,                已发布数量
        "page": 0,
        "size": 50,
        "total": 1000,
        "totalPage":20
    }
}

```


## 新增热门意见接口

> 接口名： '/suggest/suggestHot/addSuggestHot'

### 入参

-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|id|String|123|id|
|suggestType|int|1|意见来源（1：网站，2：手机）|
|createTime|String|2012-12-12|创建时间|
|status|int|0|状态（0：未编辑，1：已编辑，2：已发布）|
|clientType|String|iPhone|客户端类型|
|updateTime|String|2012-10-02|修改时间|
|coverImage|String|-|图片|
|hasImage|int|-|是否有图片（0：无，1：有）|
|orderBy|int|123|排序|
|reliable|int|11|靠谱数量|
|unreliable|int|123|不靠谱数量|
|suggestId|int|-|回复内容|
|content|String|-|内容|
|replyContent|String|-|回复内容|
---------------------

### 返回

``` json
{
    "code":200,
    "message":"操作成功"
}

```


## 修改热门意见接口

> 接口名： '/suggest/suggestHot/updateSuggestHot'

### 入参

-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|id|String|123|id|
|suggestType|int|1|意见来源（1：网站，2：手机）|
|createTime|String|2012-12-12|创建时间|
|status|int|0|状态（0：未编辑，1：已编辑，2：已发布）|
|clientType|String|iPhone|客户端类型|
|updateTime|String|2012-10-02|修改时间|
|coverImage|String|-|图片|
|hasImage|int|-|是否有图片（0：无，1：有）|
|orderBy|int|123|排序|
|reliable|int|11|靠谱数量|
|unreliable|int|123|不靠谱数量|
|suggestId|int|-|回复内容|
|content|String|-|内容|
|replyContent|String|-|回复内容|
---------------------

### 返回

``` json
{
    "code":200,
    "message":"操作成功"
}

```


## 删除/取消热门意见接口

> 接口名： '/suggest/suggestHot/deleteSuggestHot'

### 入参

-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|id|String|123|id|
---------------------

### 返回

``` json
{
    "code":200,
    "message":"操作成功"

}

```


## 发布/撤回热门接口

> 接口名： '/suggest/suggestHot/publishSuggestHot'

### 入参

-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|id|String|123|id|
|status|int|0|状态（0：未编辑，1：已编辑，2：已发布）|
---------------------

### 返回

``` json
{
    "code":200,
    "message":"操作成功"
}

```

## 批量发布热门意见接口

> 接口名： '/suggest/suggestHot/batchPublishSuggestHot'

### 入参

-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|id|String|123,12,1|id|
---------------------

### 返回

``` json
{
    "code":200,
    "message":"操作成功"
}

```