供应商接口服务定义
---------------------



## 创建供应商列表查询接口

> 接口名： '/supplier/supplier/getCreateSupplierList'

### 入参

-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|id|String|123|供应商ID|
|status|String|100|供应商状态（100：暂存，200：审核中，300：通过，900：驳回）|
|timeSort|String|asc|时间排序（asc：正序，desc：倒序）|
---------------------

### 返回

``` json
{
    "code":200,
    "message":"操作成功",
    "data": {
        "list": [
            {
                "id": "",                                   供应商ID
                "supplierCode": "",                         供应商编号
                "supplierName": "",                         供应商名称
                "businessLicense": "",                      营业执照电子版
                "legalPerson": "",                          法人姓名
                "linkman": "",                              联系人姓名
                "phone": "",                                联系人电话
                "fax": "",                                  传真
                "email": "",                                邮箱
                "url": "",                                  网址
                "taxCertificate": "",                       税务登记证电子版
                "bankName": "",                             开户行
                "bankAccount": "",                          开户账号
                "category": "",                             供应商类别
                "createTime": "",                           创建时间
                "updateTime": "",                           更新时间
                "static_p": "",
                "isLock": "",
                "foundTime": "",                            成立时间
                "beginOperateTime": "",                     经营开始时间
                "endOperateTime": "",                       经营结束时间
                "isFreeze": "",                             是否冻结（Y：是，N：否）
                "status": "",                               状态（100：暂存，200：审核中，300：通过，900：驳回）
                "operations": "",                           最近操作（1：创建，2：编辑，3：冻结，4：解冻）
                "registeredAddress": "",                    注册地址
                "registeredCapital": "",                    注册资本
                "businessLicensePic": "",                   组织机构代码证
                "businessRange": "",                        经营范围
                "legalIdentityCard": "",                    法人身份证电子
                "createPid": "",                            创建人
                "contactPhone": "",                         公司联系电话
                "contactAddress": "",                       公司联系地址
                "accountOpeningLicense": "",                开户许可证电子版
                "taxpayerQualificationCertificate": "",     纳税人资格证明电子版
                "industryLicense": ""                       行业许可证电子版
            }
        ],
        "page": 0,
        "size": 50,
        "total": 1000,
        "totalPage":20
    }
}

```


## 供应商列表查询接口

> 接口名： '/supplier/supplier/getManageSupplierList'

### 入参

-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|id|String|123|供应商ID|
|status|String|100|供应商状态（100：暂存，200：审核中，300：通过，900：驳回）|
|isFreeze|String|N|生效状态（N：已生效，Y：不生效）|
---------------------

### 返回

``` json
{
    "code":200,
    "message":"操作成功",
    "data": {
        "list": [
            {
                "id": "",                                   供应商ID
                "supplierCode": "",                         供应商编号
                "supplierName": "",                         供应商名称
                "businessLicense": "",                      营业执照电子版
                "legalPerson": "",                          法人姓名
                "linkman": "",                              联系人姓名
                "phone": "",                                联系人电话
                "fax": "",                                  传真
                "email": "",                                邮箱
                "url": "",                                  网址
                "taxCertificate": "",                       税务登记证电子版
                "bankName": "",                             开户行
                "bankAccount": "",                          开户账号
                "category": "",                             供应商类别
                "createTime": "",                           创建时间
                "updateTime": "",                           更新时间
                "static_p": "",
                "isLock": "",
                "foundTime": "",                            成立时间
                "beginOperateTime": "",                     经营开始时间
                "endOperateTime": "",                       经营结束时间
                "isFreeze": "",                             是否冻结（Y：是，N：否）
                "status": "",                               状态（100：暂存，200：审核中，300：通过，900：驳回）
                "operations": "",                           最近操作（1：创建，2：编辑，3：冻结，4：解冻）
                "registeredAddress": "",                    注册地址
                "registeredCapital": "",                    注册资本
                "businessLicensePic": "",                   组织机构代码证
                "businessRange": "",                        经营范围
                "legalIdentityCard": "",                    法人身份证电子
                "createPid": "",                            创建人
                "contactPhone": "",                         公司联系电话
                "contactAddress": "",                       公司联系地址
                "accountOpeningLicense": "",                开户许可证电子版
                "taxpayerQualificationCertificate": "",     纳税人资格证明电子版
                "industryLicense": ""                       行业许可证电子版
            }
        ],
        "page": 0,
        "size": 50,
        "total": 1000,
        "totalPage":20
    }
}

```


## 审核供应商列表查询接口

> 接口名： '/supplier/supplier/getAuditSupplierList'

### 入参

-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|id|String|123|供应商ID|
---------------------

### 返回

``` json
{
    "code":200,
    "message":"操作成功",
    "data": {
        "list": [
            {
                "id": "",                                   供应商ID
                "supplierCode": "",                         供应商编号
                "supplierName": "",                         供应商名称
                "businessLicense": "",                      营业执照电子版
                "legalPerson": "",                          法人姓名
                "linkman": "",                              联系人姓名
                "phone": "",                                联系人电话
                "fax": "",                                  传真
                "email": "",                                邮箱
                "url": "",                                  网址
                "taxCertificate": "",                       税务登记证电子版
                "bankName": "",                             开户行
                "bankAccount": "",                          开户账号
                "category": "",                             供应商类别
                "createTime": "",                           创建时间
                "updateTime": "",                           更新时间
                "static_p": "",
                "isLock": "",
                "foundTime": "",                            成立时间
                "beginOperateTime": "",                     经营开始时间
                "endOperateTime": "",                       经营结束时间
                "isFreeze": "",                             是否冻结（Y：是，N：否）
                "status": "",                               状态（100：暂存，200：审核中，300：通过，900：驳回）
                "operations": "",                           最近操作（1：创建，2：编辑，3：冻结，4：解冻）
                "registeredAddress": "",                    注册地址
                "registeredCapital": "",                    注册资本
                "businessLicensePic": "",                   组织机构代码证
                "businessRange": "",                        经营范围
                "legalIdentityCard": "",                    法人身份证电子
                "createPid": "",                            创建人
                "contactPhone": "",                         公司联系电话
                "contactAddress": "",                       公司联系地址
                "accountOpeningLicense": "",                开户许可证电子版
                "taxpayerQualificationCertificate": "",     纳税人资格证明电子版
                "industryLicense": ""                       行业许可证电子版
            }
        ],
        "page": 0,
        "size": 50,
        "total": 1000,
        "totalPage":20
    }
}

```


## 获取供应商列表（id/name）接口

> 接口名： '/supplier/supplier/getSupplierListByIdName'

### 入参

-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|idName|String|1054|供应商ID或供应商名称|
---------------------

### 返回

``` json
{
    "code":200,
    "message":"操作成功",
    "data": [
        {
            "id": "",
            "text":""
        }
    ]

}

```


## 获取供应商详情接口

> 接口名： '/supplier/supplier/getSupplier'

### 入参

-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|id|String|1054|供应商ID|
---------------------

### 返回

``` json
{
    "code":200,
    "message":"操作成功",
    "data": {
        "id": "",                                   供应商ID
        "supplierCode": "",                         供应商编号
        "supplierName": "",                         供应商名称
        "businessLicense": "",                      营业执照电子版
        "legalPerson": "",                          法人姓名
        "linkman": "",                              联系人姓名
        "phone": "",                                联系人电话
        "fax": "",                                  传真
        "email": "",                                邮箱
        "url": "",                                  网址
        "taxCertificate": "",                       税务登记证电子版
        "bankName": "",                             开户行
        "bankAccount": "",                          开户账号
        "category": "",                             供应商类别
        "createTime": "",                           创建时间
        "updateTime": "",                           更新时间
        "static_p": "",
        "isLock": "",
        "foundTime": "",                            成立时间
        "beginOperateTime": "",                     经营开始时间
        "endOperateTime": "",                       经营结束时间
        "isFreeze": "",                             是否冻结（Y：是，N：否）
        "status": "",                               状态（100：暂存，200：审核中，300：通过，900：驳回）
        "operations": "",                           最近操作（1：创建，2：编辑，3：冻结，4：解冻）
        "registeredAddress": "",                    注册地址
        "registeredCapital": "",                    注册资本
        "businessLicensePic": "",                   组织机构代码证
        "businessRange": "",                        经营范围
        "legalIdentityCard": "",                    法人身份证电子
        "createPid": "",                            创建人
        "contactPhone": "",                         公司联系电话
        "contactAddress": "",                       公司联系地址
        "accountOpeningLicense": "",                开户许可证电子版
        "taxpayerQualificationCertificate": "",     纳税人资格证明电子版
        "industryLicense": ""                       行业许可证电子版
    }
}

```

## 新增供应商接口

> 接口名： '/supplier/supplier/addSupplier'

### 入参

-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|id|int|43|供应商ID|
|supplierCode|String|-|供应商编号|
|supplierName|String|-|供应商名称|
|businessLicense|String|-|营业执照电子版|
|legalPerson|String|张三|法人姓名|
|linkman|String|李四|联系人姓名|
|phone|String|-|联系人电话|
|fax|String|-|传真|
|email|String|-|邮箱|
|url|String|-|网址|
|taxCertificate|String|-|税务登记证电子版|
|bankName|String|-|开户行|
|bankAccount|String|-|开户账号|
|category|int|-|供应商类别|
|createTime|String|2011-10-12|创建时间|
|updateTime|String|2011-11-12|更新时间|
|static_p|int|-|-|
|isLock|int|-|-|
|foundTime|String|2001-10-10|成立时间|
|beginOperateTime|String|2001-12-21|经营开始时间|
|endOperateTime|String|2100-02-12|经营结束时间|
|isFreeze|String|N|是否冻结（Y：是，N：否）|
|status|int|200|状态（100：暂存，200：审核中，300：通过，900：驳回）|
|operations|int|1|最近操作（1：创建，2：编辑，3：冻结，4：解冻）|
|registeredAddress|String|-|注册地址|
|registeredCapital|String|5551166|注册资本|
|businessLicensePic|String|-|组织机构代码证|
|businessRange|String|-|经营范围|
|legalIdentityCard|String|-|法人身份证电子|
|createPid|int|43|创建人|
|contactPhone|String|-|公司联系电话|
|contactAddress|String|-|公司联系地址|
|accountOpeningLicenseid|String|-|开户许可证电子版|
|itaxpayerQualificationCertificated|String|-|纳税人资格证明电子版|
|industryLicense|String|-|行业许可证电子版|
---------------------

### 返回

``` json
{
    "code":200,
    "message":"新增成功"
}

```


## 修改供应商接口

> 接口名： '/supplier/supplier/updateSupplier'

### 入参

-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|id|int|43|供应商ID|
|supplierCode|String|-|供应商编号|
|supplierName|String|-|供应商名称|
|businessLicense|String|-|营业执照电子版|
|legalPerson|String|张三|法人姓名|
|linkman|String|李四|联系人姓名|
|phone|String|-|联系人电话|
|fax|String|-|传真|
|email|String|-|邮箱|
|url|String|-|网址|
|taxCertificate|String|-|税务登记证电子版|
|bankName|String|-|开户行|
|bankAccount|String|-|开户账号|
|category|int|-|供应商类别|
|createTime|String|2011-10-12|创建时间|
|updateTime|String|2011-11-12|更新时间|
|static_p|int|-|-|
|isLock|int|-|-|
|foundTime|String|2001-10-10|成立时间|
|beginOperateTime|String|2001-12-21|经营开始时间|
|endOperateTime|String|2100-02-12|经营结束时间|
|isFreeze|String|N|是否冻结（Y：是，N：否）|
|status|int|200|状态（100：暂存，200：审核中，300：通过，900：驳回）|
|operations|int|1|最近操作（1：创建，2：编辑，3：冻结，4：解冻）|
|registeredAddress|String|-|注册地址|
|registeredCapital|String|5551166|注册资本|
|businessLicensePic|String|-|组织机构代码证|
|businessRange|String|-|经营范围|
|legalIdentityCard|String|-|法人身份证电子|
|createPid|int|43|创建人|
|contactPhone|String|-|公司联系电话|
|contactAddress|String|-|公司联系地址|
|accountOpeningLicenseid|String|-|开户许可证电子版|
|itaxpayerQualificationCertificated|String|-|纳税人资格证明电子版|
|industryLicense|String|-|行业许可证电子版|
---------------------

### 返回

``` json
{
    "code":200,
    "message":"修改成功！"
}

```